#include <iostream>
#include<vector>
#include <algorithm>
#include <cmath>

#define ll long long
#define ld double
using namespace std;
struct Vector{
    ld x,y;
    Vector(ld x1n,ld y1n,ld x2n,ld y2n){
        x=x2n-x1n;y=y2n-y1n;
    }
    Vector(ld xn,ld yn){
        x=xn,y=yn;
    }
};
ld operator*(Vector a,Vector b){
    return a.x*b.x+a.y*b.y;
}

bool inside(Vector v1,Vector v2, Vector v3) {
    ld f=1;
    ld len1 = sqrt(v1.x * v1.x + v1.y * v1.y);
    ld len2 = sqrt(v2.x * v2.x + v2.y * v2.y);
    ld len3 = sqrt(v3.x * v3.x + v3.y * v3.y);
    ld ansum = fabs(acos(std::max(-f, std::min(v1*v2 / len1 / len2, f))));
    ld an1   = fabs(acos(std::max(-f, std::min(v2*v3 / len2 / len3, f))));
    ld an2   = fabs(acos(std::max(-f, std::min(v1*v3 / len1 / len3, f))));
//    cout<<ansum<<" "<<an1<<" "<<an2<<" "<<len1<<" "<<len2<<" "<<len3<<endl;
    return fabs(ansum - (an1 + an2)) < 0.0000001;
}
bool getAns(ld ax1,ld  ax2   ,ld  ay1,ld  ay2,ld  bx1,ld  by1,ld  bx2,ld  by2, ld vx,ld vy){

    Vector v1=Vector(vx, vy);
    Vector v2=Vector(ax1, ay1, ax2, ay2);
    Vector v3=Vector(ax1, ay1, bx1, by1);

    bool res1 = inside(v1, v2, v3);

    v1=Vector(vx, vy);
    v2=Vector(ax2, ay2, ax1, ay1);
    v3=Vector(ax2, ay2, bx1, by1);

    res1 = res1 && inside(v1, v2, v3);

    v1=Vector(vx, vy);
    v2=Vector(ax1, ay1, ax2, ay2);
    v3=Vector(ax1, ay1, bx2, by2);

    bool res2 = inside(v1, v2, v3);

    v1=Vector(vx, vy);
    v2=Vector(ax2, ay2, ax1, ay1);
    v3=Vector(ax2, ay2, bx2, by2);

    res2 = res2 && inside(v1, v2, v3);
    return res1||res2;
}
int main() {
    ios::ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    int n;
    std::cin >> n;

    for(int i = 0; i < n; i++) {
        ld ax1, ax2, ay1, ay2, bx1, by1, bx2, by2, vx, vy;
        std::cin >> ax1 >> ay1 >> ax2 >> ay2 >> bx1 >> by1 >> bx2 >> by2 >> vx >> vy;
        bool ans1=getAns(ax1, ax2, ay1, ay2, bx1, by1, bx2, by2, vx, vy);
        bool ans2=getAns(bx1, bx2, by1, by2, ax1, ay1, ax2, ay2, -vx, -vy);

        if(ans1 || ans2)
            std::cout << "Yes" << "\n";
        else
            std::cout  << "No" << "\n";
    }
}