from sys import stdin
eps = 0.00000001

def eq(a, b):
    return abs(a - b) < eps

class Vector:
    def __init__(self, x, y):
        self.x = x
        self.y = y

    def __add__(self, other):
        return Vector(self.x + other.x, self.y + other.y)

    def __sub__(self, other):
        return Vector(self.x - other.x, self.y - other.y)

    def __mul__(self, other):
        return self.x * other.x + self.y * other.y

    def __xor__(self, other):
        return self.x * other.y - self.y * other.x

    def __eq__(self, other):
        return eq(self.x, other.x) and eq(self.y, other.y)


class Line:
    def __init__(self, p, v):
        self.p = p
        self.v = v
        self.a = self.v.y
        self.b = -self.v.x
        self.c = -self.a * self.p.x - self.b * self.p.y

    def det(self, a, b, c, d):
        return a * d - b * c

    def peresech(self, other):
        zn = self.det(self.a, self.b, other.a, other.b)
        if abs(zn) < eps:
            if (eq(self.a * other.b, self.b * other.a) and eq(self.b * other.c, self.c * other.b)):
                return other.p
            return None
        x = - self.det(self.c, self.b, other.c, other.b) / zn
        y = - self.det(self.a, self.c, other.a, other.c) / zn
        return Vector(x, y)

    def on_ray(self, p):
        return (p - self.p) * self.v > -eps


def check(p, A, B):
    AB = Line(A, B - A)
    BA = Line(B, A - B)
    return AB.on_ray(p) and BA.on_ray(p)


n = int(stdin.readline())
arr = stdin.readlines()
ans = []
for i in range(n):
    ax1, ay1, ax2, ay2, bx1, by1, bx2, by2, vx, vy = map(int, arr[i].split())
    A = Vector(ax1, ay1)
    B = Vector(ax2, ay2)
    C = Vector(bx1, by1)
    D = Vector(bx2, by2)
    V = Vector(vx, vy)
    V2 = Vector(-vx, -vy)
    Aline = Line(A, V)
    Bline = Line(B, V)
    Cline = Line(C, V2)
    Dline = Line(D, V2)
    AB = Line(A, B - A)
    CD = Line(C, D - C)
    A1 = Aline.peresech(CD)
    B1 = Bline.peresech(CD)
    C1 = Cline.peresech(AB)
    D1 = Dline.peresech(AB)
    if (A1 and Aline.on_ray(A1) and check(A1, C, D)) or (B1 and Bline.on_ray(B1) and check(B1, C, D)) or (C1 and Cline.on_ray(C1) and check(C1, A, B)) or (D1 and Dline.on_ray(D1) and check(D1, A, B)):
        ans.append("YES")
    else:
        ans.append("NO")
print("\n".join(ans))
