#include <iostream>

using namespace std;

struct Dot{
    double x, y;
};

struct Line{
    Line(){}

    Line(const Dot& A, const Dot& B){
        k = (A.y - B.y) / (A.x - B.x);
        b = (A.y - k * A.x);
        if(A.x - B.x == 0){
            x = A.x;
        }

    }
    double x = EOF;
    double k, b;
};

struct Vector{
    Vector(){}

    Vector(const Dot& A, const Dot& B){
        x = B.x - A.x;
        y = B.y - A.y;
    }


    double x, y;
};

struct Light{
    Light(){}

    Vector v;
    Line a;
    Dot begin;
};


int scalar_multiply(Vector& A, Vector& B){
    return A.x * B.x + A.y * B.y;
}

bool is_cross(Light& ab, Light& cd) {
    Dot I;
    if (ab.a.x != EOF || cd.a.k != EOF) {
        if (ab.a.k == cd.a.k && ab.a.b == cd.a.b) { // Совпадают
           I = ab.begin;
           Vector AI(ab.begin, I);
           Vector CI(cd.begin, I);
           if((scalar_multiply(AI, ab.v) > 0 || (I.x ==  ab.begin.x && I.y == ab.begin.y))
                && (scalar_multiply(CI, cd.v) > 0 || (I.x ==  cd.begin.x && I.y == cd.begin.y))){
               return true;
           } else{
               return false;
           }
        } else if (ab.a.k == cd.a.k) { // Параллельны
            return false;
        }
    }

    double x = (cd.a.b -  ab.a.b) / (ab.a.k - cd.a.k);
    double y = x * ab.a.k + ab.a.b;
    if(cd.a.x != EOF && ab.a.x != EOF){
        if(cd.a.x == ab.a.x) {
            I = cd.begin;
            Vector AI(ab.begin, I);
            Vector CI(cd.begin, I);
            if((scalar_multiply(AI, ab.v) > 0 || (I.x ==  ab.begin.x && I.y == ab.begin.y))
               && (scalar_multiply(CI, cd.v) > 0 || (I.x ==  cd.begin.x && I.y == cd.begin.y))){
                return true;
            } else{
                return false;
            }
        } else {
            return false;
        }
    } else if(cd.a.x != EOF){
        x = cd.a.x;
        y = ab.a.k * x + ab.a.b;
    } else if(ab.a.x != EOF){
        x = ab.a.x;
        y = cd.a.k * x + cd.a.b;
    }

    I.x = x;
    I.y = y;

    Vector AI(ab.begin, I);
    Vector CI(cd.begin, I);

    if((scalar_multiply(AI, ab.v) > 0 || (I.x ==  ab.begin.x && I.y == ab.begin.y))
    && (scalar_multiply(CI, cd.v) > 0 || (I.x ==  cd.begin.x && I.y == cd.begin.y))){
        return true;
    }
    return false;
}




bool is(const Dot& A, const Dot& B,const Dot& F,const Dot& H, const Vector& V) {
    Dot C, D;

    C.x = A.x + V.x;
    C.y = A.y + V.y;

    D.x = B.x + V.x;
    D.y = B.y + V.y;

    Line ac(A, C);
    Line bd(B, D);

    Light AC;
    AC.a = ac;
    AC.begin = A;
    AC.v = V;

    Light BD;
    BD.a = bd;
    BD.begin = B;
    BD.v = V;

    Line fh(F, H);
    Light FH;
    FH.a = fh;
    FH.begin = F;
    FH.v = Vector(F, H);

    Light HF;
    HF.a = fh;
    HF.begin = H;
    HF.v = Vector(H, F);

    if(F.x == H.x && F.y == H.y){
        Line l;
        l.k = 1;
        l.b = H.y;

        Line ac(A, C);

        double x = (l.b -  ac.b) / (ac.k - l.k);
        double y = x * ac.k + ac.b;

        Line bd(B, D);

        double x2 = (l.b -  bd.b) / (bd.k - l.k);
        double y2 = x2 * bd.k + bd.b;

        Vector one(F, {x, y});
        Vector two(F, {x2, y2});

        if(scalar_multiply(one, two) < 0){
            return true;
        } else{
            return false;
        }

    }

    if((is_cross(HF, AC) || is_cross(HF, BD)) && (is_cross(FH, AC) || is_cross(FH, BD))){
        return true;
    } else{
        return false;
    }

}

int main(){
    int n;
    cin >> n;
    for(auto i = 0; i != n; i++){
        Dot a, b, f, h;
        Vector v;
        cin >> a.x >> a.y >> b.x >> b.y >> f.x >> f.y >> h.x >> h.y >> v.x >> v.y;
        if(is(a, b, f, h, v)){
            cout << "Yes" << endl;
        } else{
            cout << "No" << endl;
        }
    }
    return 0;
}