#include <iostream>
#include <vector>
#include <set>

using namespace std;

string make_path(pair<int, int> a, pair<int, int> b){
    int l = (b.first - a.first);
    string ans = "";
    for (int i = 0; i < ((l + 1) / 2); i++){
        ans += 'R';
    }
    for (int i = 0; i < b.second - a.second; i++){
        ans += 'D';
    }
    for (int i = 0; i <(l / 2); i++){
        ans += 'R';
    }
    return ans;
}

vector<pair<int, int> > merge(vector<pair<int, int> > & a, vector<pair<int, int> > & b){
    vector<pair<int, int> > ans;
    int f = 0, s = 0;
    while (f < a.size() && s < b.size()){
        if (a[f] < b[s]){
            ans.push_back(a[f]);
            f++;
        }else{
            if (a[f] == b[s]){
                f++;
            }
            ans.push_back(b[s]);
            s++;
        }
    }
    while (f < a.size()){
        ans.push_back(a[f]);
        f++;
    }
    while (s < b.size()){
        ans.push_back(b[s]);
        s++;
    }
    return ans;
}

bool check(vector<pair<int, int> > &a){
    for (int i = 1; i < a.size(); i++){
        if (a[i].first != a[i - 1].first && a[i].second != a[i - 1].second){
            return true;
        }
    }
    return false;
}

int main()
{
    int n, m;
    cin >> n >> m;
    vector<pair<int, int> > p;
    p.push_back({0, 0});
    p.push_back({m - 1, n - 1});
    vector<vector<int> > used(m, vector<int>(n, -1));
    used[0][0] = used[m - 1][n - 1] = 1;
    int ask = 0;
    while (check(p)){
        string cur = "";
        for (int i = 1; i < p.size(); i++){
            cur += make_path(p[i - 1], p[i]);
        }
        if (ask == 10){
            for (int i = 1; i < p.size(); i++){
                if (p[i].second != p[i - 1].second && p[i].first - p[i - 1].first > 1){
                    cout << 5 /0 << endl;
                    return 0;
                }
            }
            cout << "! " << "RRR" << endl;
            return 0;
        }
        ask += 1;
        cout << "? " << cur << endl;
        int k;
        vector<pair<int, int> > w;
        cin >> k;
        for (int i = 0; i < k; i++){
            int u, v;
            cin >> u >> v;
            swap(u, v);
            used[u - 1][v - 1] = 1;
            w.push_back({u - 1, v - 1});
        }
        int cx = 0, cy = 0;
        for (auto i : cur){
            if (used[cx][cy] == -1){
                used[cx][cy] = 0;
            }
            if (i == 'R'){
                cx++;
            }else{
                cy++;
            }
        }
        p = merge(p, w);
        /*for (auto j : p){
            cout << j.first << ' ' << j.second << "   ";
        }
        cout << endl;*/
        vector<pair<int, int> > sup;
        for (int i = 1; i < n; i++){
            if (p[i].first - p[i - 1].first == 1 && p[i].second - p[i - 1].second >= 1){
                if (used[p[i - 1].first + 1][p[i - 1].second] == 1 || used[p[i - 1].first][p[i - 1].second + 1] == 0){
                    sup.push_back({p[i - 1].first + 1, p[i - 1].second});
                }else{
                    sup.push_back({p[i - 1].first, p[i].second});
                }
            }
        }
        p = merge(p, sup);
        /*for (auto j : p){
            cout << j.first << ' ' << j.second << "   ";
        }
        cout << endl;*/
    }
    string ans = "";
    for (int i = 1; i < p.size(); i++){
        ans += make_path(p[i - 1], p[i]);
    }
    cout << "! " << ans << endl;
    return 0;
}
