#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef long double ld;

struct edge{
    int u;
    int v;
    bool f = 1;
    edge() {}
    edge(int u1, int v1){
        u = u1;
        v = v1;
    }
};

vector<int> ans;

void dfs(int u, vector<int> &pt, vector<vector<int> > &graph, vector<edge> &pool){
    while (pt[u] < graph[u].size()){
        int ind = graph[u][pt[u]];
        if (pool[ind].f == 0){
            pt[u]++;
            continue;
        }
        int v = pool[ind].u;
        if (v == u)
            v = pool[ind].v;
        pool[ind].f = 0;
        dfs(v, pt, graph, pool);
        ans.push_back(v);
    }
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    int n, m;
    cin >> n >> m;
    vector<string> mat(n);
    for (int i = 0; i < n; i++){
        cin >> mat[i];
    }
    int N = (n + 1) * (m + 1);
    vector<edge> pool;
    vector<bool> need(N);
    for (int i = 0; i <= n; i++){
        for (int j = 0; j <= m; j++){
            int v = i * (m + 1) + j;
            need[v] = 0;
            if (i > 0 && j > 0 && mat[i - 1][j - 1] == '*'){
                need[v] = 1;
                continue;
            }
            if (i > 0 && j < m && mat[i - 1][j] == '*'){
                need[v] = 1;
                continue;
            }
            if (i < n && j > 0 && mat[i][j - 1] == '*'){
                need[v] = 1;
                continue;
            }
            if (i < n && j < m && mat[i][j] == '*'){
                need[v] = 1;
                continue;
            }
        }
    }
    for (int i = 0; i <= n; i++){
        for (int j = 0; j <= m; j++){
            int v = i * (m + 1) + j;
            if (!need[v])
                continue;
            if (i < n){
                int v1 = v + m + 1;
                if (need[v1]){
                    //cout << v << " " << v1 << endl;
                    pool.push_back({v, v1});
                }
            }
            if (j < m){
                int v1 = v + 1;
                if (need[v1]){
                    //cout << v << " " << v1 << endl;
                    pool.push_back({v, v1});
                }
            }
        }
    }
    vector<vector<int> > graph(N);
    vector<int> sz(N);
    for (int i = 0; i < pool.size(); i++){
        int u = pool[i].u;
        int v = pool[i].v;
        graph[u].push_back(i);
        graph[v].push_back(i);
    }
    deque<int> q;
    for (int i = 0; i < N; i++){
        sz[i] = graph[i].size();
        //cout << i << ": " << sz[i] << endl;
        if (graph[i].size() == 3){
            q.push_back(i);
        }
    }
    //for (auto elem : pool){
    //    cout << elem.u << " " << elem.v << endl;
    //}
    //cout << "----" << endl;
    while (q.size() > 0){
        int x = q[0];
        //cout << x << endl;
        //cout << x / 3 << " " << x % 3 << endl;
        q.pop_front();
        if (sz[x] != 3)
            continue;
        for (auto ind : graph[x]){
            if (pool[ind].f == 0)
                continue;
            int u = pool[ind].u;
            if (u == x)
                u = pool[ind].v;
            if (sz[u] == 3){
                sz[u]--;
                sz[x]--;
                pool[ind].f = 0;
                break;
            }
        }
        if (sz[x] == 2)
            continue;
        for (auto ind : graph[x]){
            if (pool[ind].f == 0)
                continue;
            int u = pool[ind].u;
            if (u == x)
                u = pool[ind].v;
            if (sz[u] == 4){
                sz[u]--;
                sz[x]--;
                pool[ind].f = 0;
                q.push_back(u);
                break;
            }
        }
        if (sz[x] == 3){
            cout << "No" << endl;
            return 0;
        }
    }
    vector<int> pt(N);
    for (int i = 0; i< n; i++)
        pt[i] = 0;
    for (int i = 0; i < N; i++){
        if (need[i] == 1){
            dfs(i, pt, graph, pool);
            cout << "Yes" << endl;
            cout << ans.size() << endl;
            for (auto elem : ans){
                int x = elem / (m + 1);
                int y = elem % (m + 1);
                cout << x << " " << y << "\n";
            }
            return 0;
        }
    }
    cout << "Yes" << endl;
    return 0;
}



