#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef double Coord;

struct Vector{
    Coord x , y;

    Vector() {}
    Vector(ll x , ll y): x(x) , y(y) {}
};


Vector operator +(Vector A , Vector B){
    return Vector(A.x + B.x , A.y + B.y);
}

Vector operator -(Vector A , Vector B){
    return Vector(A.x - B.x , A.y - B.y);
}

istream &operator >>(istream &stream , Vector &a){
    return stream >> a.x >> a.y;
}

Coord DotProduct(Vector A , Vector B){
    return A.x*B.x + A.y*B.y;
}

Coord CrossProduct(Vector A , Vector B){
    return A.x*B.y - A.y*B.x;
}

Coord Dir(Coord X){
    if (X == 0) return 0;
    if (X > 0) return 1;
    else return -1;
}

struct Line{
    Coord a , b , c;

    Line() {}
    Line(Vector A , Vector B): a(A.y - B.y) , b(B.x - A.x) , c(A.x*(B.y - A.y) + A.y*(A.x - B.x)) {}
};

Vector Cross(Line L , Line T){
    return Vector((T.c*L.b - L.c*T.b) / (L.a*T.b - T.a*L.b) , (T.c*L.a - L.c*T.a) / -(L.a*T.b - T.a*L.b));
}

bool solve(){
    Vector A1 , A2 , B1 , B2 , V;
    cin >> A1 >> A2 >> B1 >> B2 >> V;

    Vector P = A2 + V;

    if (CrossProduct(A2 - A1 , V) == 0){
        //cout << "hereer";
        Line L(A1 , A2);
        Line T(B1 , B2);

        if (L.a*B1.x + L.b*B1.y + L.c != 0 && L.a*T.b - L.b*T.a == 0) return false;

        //cout << "here";

        Vector C;
        if (L.a*T.b - L.b*T.a != 0) C = Cross(L , T);
        else C = B1;
        //cout << C.x << ' ' << C.y << '\n';

        if (Dir(DotProduct(A2 - A1 , C - A1)) == Dir(DotProduct(A2 - A1 , P - A1))) return true;
        else return false;
    }

    Vector P1 = A1 + V , P2 = A2 + V;

    if (CrossProduct(A2 - A1 , B1 - A1) != 0 && Dir(CrossProduct(A2 - A1 , B1 - A1)) == Dir(CrossProduct(A2 - A1 , P2 - A1))){
        if (CrossProduct(P1 - A1 , B1 - A1) == 0 || CrossProduct(P2 - A2 , B1 - A2) == 0 ||
            Dir(CrossProduct(P1 - A1 , B1 - A1)) != Dir(CrossProduct(P2 - A2 , B1 - A2))) return true;
    }

    if (CrossProduct(A2 - A1 , B2 - A1) != 0 && Dir(CrossProduct(A2 - A1 , B2 - A1)) == Dir(CrossProduct(A2 - A1 , P2 - A1))){

        //cout << CrossProduct(P1 - A1 , B2 - A1) << ' ' << CrossProduct(P2 - A2 , B2 - A2) << '\n';
        if (CrossProduct(P1 - A1 , B2 - A1) == 0 || CrossProduct(P2 - A2 , B2 - A2) == 0 ||
            Dir(CrossProduct(P1 - A1 , B2 - A1)) != Dir(CrossProduct(P2 - A2 , B2 - A2))) return true;
    }


    if ((CrossProduct(A2 - A1 , B2 - A1) == 0 || Dir(CrossProduct(A2 - A1 , B2 - A1)) == Dir(CrossProduct(A2 - A1 , P2 - A1))) &&
        (CrossProduct(A2 - A1 , B1 - A1) == 0 || Dir(CrossProduct(A2 - A1 , B1 - A1)) == Dir(CrossProduct(A2 - A1 , P2 - A1)))) {

        if (Dir(CrossProduct(P1 - A1 , B1 - A1)) != Dir(CrossProduct(P1 - A1 , B2 - A1))) return true;
    }

    return false;
}

int main(){

    int n; cin >> n;

    while(n --> 0){
        if (solve()){
            cout << "Yes\n";
        } else {
            cout << "No\n";
        }
    }

}
/*
1
0 0 4 0 -1 0 5 1 0 1

1
0 0 1 0 / / / / 0 1

1
0 0 1 0 0 -1 10 0 0 1


1
0 0 1 0 2 0 3 0 1 0

1
0 0 1 0 2 0 3 0 -1 0


2
0 2 1 1 2 2 3 1 1 1
0 2 1 1 2 2 3 1 -1 -1



*/
