#include <bits/stdc++.h>
#define F first
#define S second
#define all(x) (x).begin(), (x).end()
#define int long long

using namespace std;

const double eps = 1e-8;

struct point {
    int x, y;

    point() {}

    point(int x, int y) : x(x), y(y) {}

    double len() {
        return sqrt(x * x + y * y);
    }
};

istream& operator>>(istream &i, point &pt) {
    i >> pt.x >> pt.y;
    return i;
}

point operator*(point x, int y) {
    return point(x.x * y, x.y * y);
}

point operator+(point p1, point p2) {
    return point(p1.x + p2.x, p1.y + p2.y);
}

point operator-(point p1, point p2) {
    return point(p1.x - p2.x, p1.y - p2.y);
}

int cross(point p1, point p2) {
    return p1.x * p2.y - p1.y * p2.x;
}

int sign(int x) {
    if (fabs(x) < eps) return 0;
    return (x > eps ? 1 : -1);
}

bool on_seg(point p, point a, point b) {
    return fabs((p - a).len() + (p - b).len() - (a - b).len()) < 1e-8;
}

bool seg_int(point a, point b, point c, point d) {
    return (sign(cross(c - a, b - a)) * sign(cross(b - a, d - a)) > 0) &&
    (sign(cross(a - c, d - c)) * sign(cross(d - c, b - c)) > 0) || (on_seg(a, c, d) || on_seg(b, c, d) || on_seg(c, a, b) || on_seg(d, a, b));
}

signed main() {
    int n;
    cin >> n;
    while (n--) {
        point a, b, c, d, u, v;
        cin >> a >> b >> c >> d >> v;
        int cns = (min(v.x, v.y) < 1e3 ? 3e6 : 3e3);
        cns = 1000;
        point n1 = a + (v * cns);
        point n2 = b + (v * cns);
        point n3 = c - (v * cns);
        point n4 = d - (v * cns);
        cout << (seg_int(a, n1, c, d) || seg_int(b, n2, c, d) || seg_int(c, n3, a, b) || seg_int(d, n4, a, b) ? "Yes" : "No") << '\n';
    }
    return 0;
}
/*
1
1000000 1000000
0 1000000
0 0 1000000 0
-1000000 -1000000
*/
