#include <iostream>
#include <set>
#include <map>
#include <string>
#include <vector>
#include <queue>
#include <iomanip>
using namespace std;
#define int long long
struct point {
	long double x, y;
	point operator +(point& z) {
		return { x + z.x, y + z.y };
	}
	point operator -(point& z) {
		return { x - z.x, y - z.y };
	}
	long double operator *(point& z) {
		return  x * z.x + y * z.y;
	}
	long double operator ^(point& z) {
		return  x * z.y - y * z.x;
	}
};
istream& operator>>(istream& a, point& b) {
	cin >> b.x >> b.y;
	return a;
}

long double stor(point a, point b, point c) {
	b = b - a;
	c = c - a;
	return b ^ c;
}

bool check(point a, point b, point c) {
	if (a.x == b.x && a.y == b.y)
		return a.x == c.x && a.y == c.y;
	point b1 = b - a;
	point c1 = c - a;
	point a2 = a - b;
	point c2 = c - b;
	return  (a2 * c2) >= 0 && (b1 * c1 >= 0);
}

const double EPS = 1e-7;
bool vyp(point a, point b, point c, point d) {
	vector<point> o = { a,c,b,d,a,c,b,d,a,c,b,d };
	long double z = 0;
	for (int i = 1; i < o.size() - 1; i++) {
		long double zn = stor(o[i - 1], o[i], o[i + 1]);
		if (abs(z) < EPS)
			z = zn;
		if (zn * z < 0) return false;
	}
	return true;
}


double dist(point a, point b) {
	return sqrt((a.x - b.x) * (a.x - b.x) + (a.y - b.y) * (a.y - b.y) + 0.0);
}

double ger(point x, point y, point z) {
	double a = dist(x, y);
	double b = dist(x, z);
	double c = dist(z, y);
	double p = (a + b + c) / 2;
	return sqrt(p * (p - a) * (p - b) * (p - c));
}
bool in(point a, point b, point c, point d, point e) {
	return abs(ger(a, b, c) + ger(b, d, c) - (ger(a, b, e) + ger(b, d, e) + ger(d, e, c) + ger(c, e, a))) < EPS;
}
bool ww(point a, point b, point c, point d) {
	return abs(ger(c, a, b) + ger(d, a, b) - ger(a, c, d) - ger(b, c, d)) < EPS;
}

bool intersect(point a, point b, point c, point d) {
	point c1 = c - a;
	point c2 = b - a;
	point c3 = b - a;
	point c4 = d - a;
	if (!(c1 ^ c2) && !(c3 ^ c4))
		return check(a, b, c) || check(c, d, a) ||
		check(a, b, d) || check(c, d, b);

	return vyp(a, b, c, d);
	//else return 0;
	//	else return 0;
}

int32_t main() {
	int n;
	cin >> n;
	while (n--) {
		point a1, a2, b1, b2, v;
		cin >> a1 >> a2 >> b1 >> b2 >> v;
		v.x *= 1e9;
		v.y *= 1e9;
		point q1 = a1 + v;
		point q2 = a2 + v;
		point z1 = b1 + v;
		point z2 = b2 + v;
		bool ans = false;
		ans |= intersect(a1 + v, a1, b1, b2);
		ans |= intersect(a2, a2 + v, b1, b2);
		ans |= intersect(a1, a2, b1 - v, b1);
		ans |= intersect(a1, a2, b2, b2 - v);
		if (ans)
			cout << "Yes\n";
		else cout << "No\n";
	}
	return 0;
}