#include <iostream>
#include <cmath>
#define int long long

using namespace std;

struct point{
    int x, y;
    point() {}
    point(int x, int y): x(x), y(y) {}
    void init() {
        cin >> x >> y;
    }
    void print() {
        cout << x << ' ' << y << endl;
    }
    point operator + (point a) {
        return point(x + a.x, y + a.y);
    }
    point operator - (point a) {
        return point(x - a.x, y - a.y);
    }
    int operator * (point a) {
        return x * a.x + y * a.y;
    }
    int operator ^ (point a) {
        return x * a.y - y * a.x;
    }
    point mul(int k) {
        return point(x * k, y * k);
    }
    point norma() {
        return point(-y, x);
    }
};

struct line{
    point p, v;
    line() {}
    line(point p, point v): p(p), v(v) {}
    long double not_dist(line a) {
        if ((v ^ a.v) == 0) exit(239);
        return ((a.p ^ a.v) - (p ^ a.v)) / (1.0 * (v ^ a.v));
    }
};

bool on_ray(line a, point x) {
    point v = x - a.p;
    if ((v ^ a.v) != 0) return 0;
    return ((v * a.v) >= 0);
}

bool intersec(line a, line b) { // ray a, segm b
    if (on_ray(a, b.p)) return 1;
    if (on_ray(a, b.p + b.v)) return 1;
    if ((a.v ^ b.v) == 0) return 0;
    long double t1 = a.not_dist(b), t2 = b.not_dist(a);
    //cout << t1 << ' ' << t2  << endl;
    return (t1 >= 0 && t2 >= 0 && t2 <= 1);
}

signed main() {
    //freopen("input.txt", "r", stdin);
    int n;
    cin >> n;
    for (int i = 0; i < n; i++) {
        point a, b, c, d, v;
        a.init();
        b.init();
        c.init();
        d.init();
        v.init();
        bool flag = 0;
        line s1(a, b - a), s2(c, d - c);
        flag |= intersec(line(a, v), s2);
        flag |= intersec(line(b, v), s2);
        flag |= intersec(line(c, v.mul(-1)), s1);
        flag |= intersec(line(d, v.mul(-1)), s1);
        cout << (flag ? "Yes" : "No") << "\n";
    }
    return 0;
}
