#define _CRT_SECURE_NO_WARNINGS

#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>
#include <math.h>
#include <set>
#include <fstream>
#include <queue>
#include <iomanip>
#include <string>

using namespace std;

typedef long long ll;

const double eps = 1e-7;

#define endl '\n'

bool eq(double a, double b) {
	if (abs(a - b) < eps) {
		return 1;
	}
	return 0;
}

struct point {
	double x, y;
	point operator +(const point b)const {
		point c;
		c.x = x + b.x;
		c.y = y + b.y;
		return c;
	}
	point operator -(const point b) const {
		point c;
		c.x = x - b.x;
		c.y = y - b.y;
		return c;
	}
	point operator /(const double b) const {
		point c;
		c.x = x / b;
		c.y = y / b;
		return c;
	}
	point operator *(const double b) const {
		point c;
		c.x = x * b;
		c.y = y * b;
		return c;
	}
	double operator *(const point b) {
		return x * b.y - y * b.x;
	}
	double operator %(const point b) {
		return x * b.x + y * b.y;
	}
	bool isOnline(const point& A, const point& B) const {
		return  eq((A - *this) * (B - *this), 0);
	}
};

int intersect(point A, point B, point C, point D, point& O) {
	point v = B - A;
	double s1 = (C - A) * (D - A);
	double s2 = (D - B) * (C - B);
	double s = s1 + s2;
	if (eq(s, 0)) {
		if (!A.isOnline(C, D)) {
			return 0;
		}
		return 2;
	}
	v = v / s;
	v = v * s1;
	O = A + v;
	return 1;
}

bool mezhdy(point x, point a, point b) {
	if (x.x >= min(a.x, b.x) && x.x <= max(a.x, b.x) && x.y <= max(a.y, b.y) && x.y >= min(a.y, b.y)) {
		return 1;
	}
	return 0;
}
bool f(double a, double b) {
	if (a < b + eps) {
		return 1;
	}
	return 0;
}

bool f1(double a, double b) {
	if (a > b + eps) {
		return 1;
	}
	return 0;
}

int main()
{
#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
#endif
	ll n;
	cin >> n;
	for (ll i = 0; i < n; i++) {
		point A, B, v, C, D;
		cin >> A.x >> A.y >> B.x >> B.y >> C.x >> C.y >> D.x >> D.y >> v.x >> v.y;
		point r1, r2;
		ll qw = intersect(A, A + v, C, D, r1);
		if (qw == 0 || qw == 2) {
			point u;
			ll c = intersect(A, B, C, D, u);
			if (c == 0) {
				cout << "No" << '\n';
				continue;
			}
			if (c == 2) {
				if (f1((C - A) % v, 0)) {
					cout << "Yes" << '\n';
					continue;
				}
				cout << "No" << '\n';
				continue;
			}
			if (mezhdy(u, A, B) && f1((C - u) % v, 0)) {
				cout << "Yes" << '\n';
			}
			else {
				cout << "No" << '\n';
			}
			continue;
		}
		intersect(B, B + v, C, D, r2);
		if (f((r1 - A) % v, 0)) {
			if (f((r2 - B) % v, 0)) {
				cout << "No" << '\n';
				continue;
			}
			intersect(A, B, C, D, r1);
			if (mezhdy(C, r1, r2)) {
				cout << "Yes" << '\n';
				continue;
			}
			if (mezhdy(D, r1, r2)) {
				cout << "Yes" << '\n';
				continue;
			}
			cout << "No" << '\n';
			continue;
		}
		if (f((r2 - B) % v, 0)) {
			intersect(A, B, C, D, r2);
			if (mezhdy(C, r1, r2)) {
				cout << "Yes" << '\n';
				continue;
			}
			if (mezhdy(D, r1, r2)) {
				cout << "Yes" << '\n';
				continue;
			}
			cout << "No" << '\n';
			continue;
		}
		if (mezhdy(r1, C, D) || mezhdy(r2, C, D)) {
			cout << "Yes" << '\n';
			continue;
		}
		if (mezhdy(C, r1, r2) || mezhdy(D, r1, r2)) {
			cout << "Yes" << '\n';
			continue;
		}
		cout << "No" << '\n';
	}
}