#define _CRT_SECURE_NO_WARNINGS

#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>
#include <math.h>
#include <set>
#include <fstream>
#include <queue>
#include <iomanip>
#include <string>

using namespace std;

typedef long long ll;

const double eps = 1e-7;

#define endl '\n'

struct pos
{
	ll x, y;
	pos() {}
	pos(ll a, ll b)
	{
		x = a;
		y = b;
	}
	bool operator<(const pos& b)
		const
	{
		if (x == b.x)
		{
			return y < b.y;
		}
		else
		{
			return x < b.x;
		}
	}
	bool operator==(const pos& b)
		const
	{
		return ((x == b.x) && (y == b.y));
	}
	bool operator!=(const pos& b)
		const
	{
		return ((x != b.x) || (y != b.y));
	}
	char operator-(const pos& b)
		const
	{
		if (b.x == x)
		{
			return 'R';
		}
		else
		{
			return 'D';
		}
	}
};

vector<pos> s;
vector<pos> ans;
vector<pos> p;
set<table> t;

struct my
{
	pos st, fin;
	my(pos a, pos b)
	{
		st = a;
		fin = b;
	}
	bool operator<(const table& b)
		const
	{
		if (st == b.st)
		{
			return fin < b.fin;
		}
		else
		{
			return st < b.st;
		}
	}
};

struct table
{
	pos st, fin;
	pos l, r;
	bool fl;
	table(pos a, pos b)
	{
		st = a;
		fin = b;
		fl = false;
		l = pos(-1, -1);
		r = pos(-1, -1);
		if (st.x - fin.x == 0 || st.y - fin.y == 0)
		{
			fl = true;
			l = st;
			r = fin;
		}
	}
	bool operator<(const table& b)
		const
	{
		if (st == b.st)
		{
			return fin < b.fin;
		}
		else
		{
			return st < b.st;
		}
	}
	bool operator<(const my& b)
		const
	{
		if (st == b.st)
		{
			return fin < b.fin;
		}
		else
		{
			return st < b.st;
		}
	}
	bool ok()
	{
		return fl;
	}
	void que()
	{
		if (!fl)
		{
			if (l == pos(-1, -1))
			{
				for (int i = st.x; i < (st.x + st.y) / 2; i++)
				{
					p.push_back(pos(i, st.y));
				}
				for (int i = st.y; i < fin.y; i++)
				{
					p.push_back(pos((st.x + fin.x) / 2, i));
				}
				for (int i = (st.x + fin.x) / 2; i < fin.x; i++)
				{
					p.push_back(pos(i, fin.y));
				}
			}
			else
			{
				*t.find(my(st, l))->que();
				for (int i = l.y; i < r.y; i++)
				{
					p.push_back(pos(l.x, i));
				}
				*t.find(my(r, fin))->que();
			}
		}
		else
		{
			if (st.x == fin.x || st.y == fin.y)
			{
				for (int i = st.x; i <= fin.x; i++)
				{
					for (int j = st.y; j <= fin.y; j++)
					{
						p.push_back(pos(i, j));
					}
				}
				p.pop_back();
			}
			else if (fin.x - st.x == 1)
			{
				for (int i = st.y; i <= r.y; i++)
				{
					p.push_back(pos(st.x, i));
				}
				for (int i = r.y; i < fin.y; i++)
				{
					p.push_back(pos(fin.x, i));
				}
			}
			else
			{
				t.find(my(st, l))->que();
				for (int i = l.y; i < r.y; i++)
				{
					p.push_back(pos(l.x, i));
				}
				t.find(my(r, fin))->que();
			}
		}
	}
	void an(ll a, ll b)
	{
		if (fin.x - st.x == 1)
		{
			pos l = ans[a];
			pos r = ans[upper_bound(ans.begin(), ans.end(), pos(st.x, fin.y)) - ans.begin() - 1];
			fl = true;
		}
		else
		{
			pos l = ans[lower_bound(ans.begin(), ans.end(), pos((st.x + st.y) / 2, st.y)) - ans.begin()];
			pos r = ans[upper_bound(ans.begin(), ans.end(), pos((st.x + st.y) / 2, fin.y)) - ans.begin()];
			t.insert(table(st, l));
			t.insert(table(r, fin));
		}
	}
};

int main()
{
#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
#endif
	ll n, m;
	cin >> n >> m;
	table now(pos(1, 1), pos(n, m));
	while (!now.ok())
	{
		now.que();
		p.push_back(pos(n, m));
		for (ll i = 1; i < p.size(); i++)
		{
			cout << (p[i] - p[i - 1]);
		}
		ll k;
		cin >> k;
		for (ll i = 0; i < k; i++)
		{
			ll a, b;
			cin >> a >> b;
			ans.push_back(pos(a, b));
		}
		now.an(0, k - 1);
	}
	now.que();
	for (int i = 1; i < p.size(); i++)
	{
		cout << p[i] - p[i - 1];
	}
}