#ifdef _DEV
#define DEV 1
#else
#define DEV 0
#endif

#include <bits/stdc++.h>

using namespace std;

void rmain(int test_id);

int main() {
    int tests = 1;
    if (DEV) {
        tests = 1000;
        freopen("input.txt", "r", stdin);
    } else {
        ios::sync_with_stdio(false);
        cin.tie(nullptr);
        cout << fixed << setprecision(15);
    }
    for (int t = 0; t < tests; ++t) {
        rmain(t);
        int ch = -1;
        while (DEV) {
            ch = getc(stdin);
            if (ch == -1 || !isspace(ch)) {
                break;
            }
        }
        if (ch == -1) {
            break;
        }
        ungetc(ch, stdin);
    }

    return 0;
}

using ll = long long;

bool is_less(ll a, ll b, ll c, ll n) {
    return true;
}

struct pt
{
    ll x, y;
};

pt operator +(pt const& lsh, pt const& rsh) { return { lsh.x + rsh.x, lsh.y + rsh.y }; }
pt operator -(pt const& lsh, pt const& rsh) { return { lsh.x - rsh.x, lsh.y - rsh.y }; }
ll operator *(pt const& lsh, pt const& rsh) { return lsh.x * rsh.x + lsh.y * rsh.y; }
ll operator %(pt const& lsh, pt const& rsh) { return lsh.x * rsh.y - rsh.x * lsh.y; }

istream& operator >> (istream& in, pt& p)
{
    in >> p.x >> p.y;
    return in;
}

ll sign(ll const& a)
{
    if (a > 0)
        return 1;
    if (a < 0)
        return -1;
    return 0;
}

bool is_inside(pt l, pt r, pt const& m)
{
    if (l % r < 0)
        swap(l, r);
    return l % m >= 0 && (m % r) >= 0;
}

struct ray
{
    pt o, d;

    bool is_insp(pt const& a, pt const& b)
    {
        if (sign((a - o) % d) == 0 && sign((a - o) * d) >= 0)
            return true;
        if (sign((b - o) % d) == 0 && sign((b - o) * d) >= 0)
            return true;

        if (sign((b - o) % d) != sign((b - o) % d))
            return sign((o - b) % (a - b)) <= 0;
        else
            return false;
    }
};

void rmain(int test_id) {
    (void) test_id;

    int n;
    cin >> n;

    while (n--)
    {
        pt a_l, a_r, b_l, b_r, v;
        cin >> a_l >> a_r >> b_l >> b_r >> v;

        ray l = { a_l, v }, r = { a_r, v };

        if (l.is_insp(b_l, b_r) || r.is_insp(b_l, b_r))
            cout << "Yes\n";
        else if (is_inside(v, a_r - a_l, b_l - a_l) && is_inside(v, a_l - a_r, b_l - a_r))
            cout << "Yes\n";
        else if (is_inside(v, a_r - a_l, b_r - a_l) && is_inside(v, a_l - a_r, b_r - a_r))
            cout << "Yes\n";
        else
            cout << "No\n";
    }
}