#include <iostream>
#include <fstream>
#include <vector>
#include <algorithm>
#include <cmath>
#include <queue>
#include <set>
using namespace std;

struct Point {
	int x, y;

	friend bool operator <(const Point& p1, const Point& p2) {
		return p1.x < p2.x || (p1.x == p2.x && p1.y < p2.y);
	}
	friend bool operator ==(const Point& p1, const Point& p2) {
		return p1.x == p2.x && p1.y == p2.y;
	}
};

struct Elem {
	Point st, fin;

	friend bool operator < (const Elem& p1, const Elem& p2) {
		return p1.fin < p2.fin || (p1.fin == p2.fin && p1.st < p2.st);
	}
	friend bool operator == (const Elem& p1, const Elem& p2) {
		return p1.fin == p2.fin && p1.st == p2.st;
	}
};

set <Elem> t;

void prnt(Elem x) {
	if (x.st.x - x.fin.x == 1) {
		int curx = x.st.x, cury = x.st.y;
		while (cury < x.fin.y) {
			cury++;
			cout << 'D';
		}
		while (curx < x.fin.x) {
			curx++;
			cout << 'R';
		}
	}
	else {
		t.insert(x);
		int curx = x.st.x, cury = x.st.y;
		while (cury < (x.st.y + x.fin.y) / 2) {
			cury++;
			cout << 'D';
		}
		while (curx < x.fin.x) {
			curx++;
			cout << 'R';
		}
		while (cury < x.fin.y) {
			cury++;
			cout << 'D';
		}
	}
}

int main() {

	//fstream cin("input.txt");
	//ofstream cout("output.txt");

	int n, m, cnt = 0; cin >> n >> m;
	swap(n, m);

	queue<Elem> bfs;
	bfs.push({ {1, 1}, {n, m} });
	while (true) {
		cnt++;
		if (cnt == 11) {
			cout << "! ";
			while (true) {
				Elem cur = bfs.front();
				bfs.pop();
				prnt(cur);
				if (cur.fin.x == n && cur.fin.y == m) {
					cout << endl;
					break;
				}
			}
			break;
		}
		cout << "? ";
		while (true) {
			Elem cur = bfs.front();
			bfs.pop();
			prnt(cur);
			if (cur.fin.x == n && cur.fin.y == m) {
				cout << endl;
				break;
			}
		}
		int am = 0;
		cin >> am;
		int sx, sy; cin >> sx >> sy;
		for (int i = 1; i < am; i++) {
			int fx, fy; cin >> fx >> fy;
			bfs.push({ {sy, sx}, {fy, fx} });
			sx = fx, sy = fy;
		}
		if (am == n + m - 1) {
			cout << "! ";
			while (true) {
				Elem cur = bfs.front();
				bfs.pop();
				prnt(cur);
				if (cur.fin.x == n && cur.fin.y == m) {
					cout << endl;
					break;
				}
			}
			break;
		}
	}




}