#include <iostream>
#include <cstdio>
#include <algorithm>
#include <vector>
#include <deque>
#define INF 1e18
#define int long long
#define pii pair<int,int>

using namespace std;

int n, m;
vector<int> down;
vector<pii> ans, range;

string get_str(vector<int>& down) {
	string q = "";
	int x = 1;

	for (int i = 0; i < m; i++) {
		while (x < down[i]) {
			q += "R";
			x++;
		}
		q += "D";
	}

	q.pop_back();
	while (x < n) {
		q += "R";
		x++;
	}

	return q;
}

vector<int> get_mid() {
	vector<int> mid(m);

	for (int i = 0; i < m; i++)
		mid[i] = (range[i].first + range[i].second) / 2;

	return mid;
}

void get() {
	vector<int> mid = get_mid();

	cout << "? " << get_str(mid) << endl;
	int cnt; cin >> cnt;

	ans.clear();
	ans.assign(m, { INF,-1 });

	for (int i = 0; i < cnt; i++) {
		int a, b; cin >> a >> b;
		ans[a - 1].first = min(ans[a - 1].first, b);
		ans[a - 1].second = max(ans[a - 1].second, b);
	}

	for (int i = 0; i < m; i++) {
		if (ans[i].second < mid[i]) {
			range[i].second = mid[i];
		}
		else {
			range[i].first = mid[i] + 1;
		}
	}	
}

signed main() {
#ifdef LOCAL_DEBUG
	//freopen("input.txt", "r", stdin);
#endif 
	ios::sync_with_stdio(0);
	cin.tie(0);

	cin >> m >> n;

	range.assign(m, {1, n});
	down.assign(m, n / 2);
	
	for(int i = 0; i < 9; i++)
		get();

	auto mid = get_mid();
	cout << "! " << get_str(mid);
	return 0;
}