#include <bits/stdc++.h>
using namespace std;
#define double long double

const double eps = 1e-6;

struct pt {
    double x, y;
    pt (double x, double y): x(x), y(y) {}
    pt () {}
};

double operator % (pt a, pt b) {
    return a.x * b.y - a.y * b.x;
}

double operator * (pt a, pt b) {
    return a.x * b.x + a.y * b.y;
}

pt operator - (pt a, pt b) {
    return {a.x - b.x, a.y - b.y};
}

pt operator + (pt a, pt b) {
    return {a.x + b.x, a.y + b.y};
}

bool in_ray(pt a, pt la, pt p) {
    return abs((la - a) % (p - a)) < eps && (la - a) * (p - a) > 0;
}

int sig(double x) {
    return x < 0 ? -1 : 1;
}

bool one_side(pt la, pt lb, pt a, pt b) {
    return sig((lb - la) % (a - la)) == sig((lb - la) % (b - la));
}

bool in_rays(pt a, pt la, pt b, pt lb, pt p) {
    if (in_ray(a, la, p) || in_ray(b, lb, p))
            return 1;
    if (!one_side(a, b, p, la))
            return 0;
    return sig((la - a) % (p - a)) != sig((lb - b) % (p - b));
}

pt div2(pt p) {
    return {p.x / 2, p.y / 2};
}

bool solve(pt a, pt la, pt b, pt lb, pt p1, pt p2, int cnt = 50) {
    if (in_rays(a, la, b, lb, p1) || in_rays(a, la, b, lb, p2))
        return 1;
    if (one_side(a, la, p1, p2))
        return 0;
    if (!cnt)
        return 0;
    pt m = div2(p1 + p2);
    return solve(a, la, b, lb, p1, m, cnt - 1) || solve(a, la, b, lb, m, p2, cnt - 1);
}

signed main() {
    int n;
    cin >> n;

    while (n--) {
        pt a, la, b, lb, p1, p2;
        {
            pt A, B, C, D, V;
            cin >> A.x >> A.y >> B.x >> B.y >> C.x >> C.y >> D.x >> D.y >> V.x >> V.y;
            a = A;
            la = A + V;
            b = B;
            lb = B + V;
            p1 = C;
            p2 = D;
            if (solve(a, la, b, lb, p1, p2)) {
                cout << "Yes\n";
            }
            else {
                cout << "No\n";
            }
        }
    }
}