#include <bits/stdc++.h>

using namespace std;
template<class T1, class T2> inline bool chkmax(T1 &x, const T2 &y) {if (x > y) {x = y; return true;} return false;}
template<class T1, class T2> inline bool chkmin(T1 &x, const T2 &y) {if (x < y) {x = y; return true;} return false;}
#define all(c) (c).begin(), (c).end()
#define sz(c) (int)(c).size()
#define pb push_back
#define mp make_pair
#define y1 y12282
#define y2 y2227
using ll = long long;
using ld = long double;
const ld eps = 1e-9;


struct Point{
    ld x, y;
    Point(){}
    Point(ld _x, ld _y): x(_x), y(_y){}
};

Point operator +(const Point &a, const Point &b) {
    return Point(a.x + b.x, a.y + b.y);
}

Point operator -(const Point &a, const Point &b) {
    return Point(a.x - b.x, a.y - b.y);
}


ld operator ^(const Point &a, const Point &b) {
    return a.x * b.x + a.y * b.y;
}


ld operator *(const Point &a, const Point &b) {
    return a.x * b.y - a.y * b.x;
}

Point operator * (const Point &a, ld x) {
    return Point(a.x * x, a.y * x);
}

struct Line {
    ld a, b, c;
    Line(){}
    Line(ld _a, ld _b, ld _c) {
        a = _a;
        b = _b;
        c = _c;
        ld d = sqrt(a * a + b * b);
        a /= d;
        b /= d;
        c /= d;
        if (c < 0) {
            a *= -1;
            b *= -1;
            c *= -1;
        }
    }
    Line(Point s, Point f) {
        a = f.y - s.y;
        b = s.x - f.x;
        ld d = sqrt(a * a + b * b);
        a /= d;
        b /= d;
        c = -(a * s.x + b * s.y);
        if (c < 0) {
            a *= -1;
            b *= -1;
            c *= -1;
        }
    }
    ld get(const Point &p) {
        return a * p.x + b * p.y + c;
    }
};


Point getPoint(Line a) {
    return Point(a.a, a.b);
}


Point cross(const Line &a, const Line &b) {
    ld det = a.a * b.b - b.a * a.b;
    return Point((-a.c * b.b + b.c * a.b) / det, (-a.c * b.a + b.c * a.a) / (-det));
}


bool inside(Point a, Point b, Point c) {
    return ((a - c) ^ (b - c)) <= eps;
}


bool ok(Point a, Point b) {
    return (a ^ b) >= -eps;
}

bool ok(Point a, Point b, Point g, Point d) {
    Line kek(a, b);
    Line kek1(d, d + g);
    Point her = cross(kek, kek1);
    return ok(g, d - her);
}

Point restore(Point a, Point b, ld L, ld R, ld x) {
    if (R - L < eps) {
        return a;
    } else {
        return a + (b - a) * ((x - L) / (R - L));
    }
}


void solve() {
    int ax1, ay1, ax2, ay2, bx1, by1, bx2, by2, vx, vy;
    cin >> ax1 >> ay1 >> ax2 >> ay2 >> bx1 >> by1 >> bx2 >> by2 >> vx >> vy;
    Point g(vx, vy);
    Point a(ax1, ay1);
    Point b(ax2, ay2);
    Point c(bx1, by1);
    Point d(bx2, by2);
    Point norm_g(-vy, vx);
    ld L1 = (norm_g ^ a);
    ld R1 = (norm_g ^ b);
    ld L2 = (norm_g ^ c);
    ld R2 = (norm_g ^ d);
    if (L1 > R1) {
        swap(L1, R1);
        swap(a, b);
    }
    if (L2 > R2) {
        swap(L2, R2);
        swap(c, d);
    }
    //cerr << L1 << " " << R1 << " " << L2 << " " << R2 << endl;
    if (max(L1, L2) > min(R1, R2) + eps) {
        cout << "No\n";
        return;
    }
    ld x = max(L1, L2);
    Point p1 = restore(a, b, L1, R1, x);
    Point p2 = restore(c, d, L2, R2, x);
    if (((p2 - p1) ^ g) > 0) {
        cout << "Yes\n";
    } else {
        cout << "No\n";
    }
}


int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int it;
    cin >> it;
    for (int its = 0; its < it; its++) {
        solve();
    }
}


