#include <bits/stdc++.h>
using namespace std;
#define int long long

struct point {
    double x, y;
    point(double x_, double y_) : x(x_), y(y_) {};
    point() : x(0), y(0) {};

    point operator + (point a) {
        return point(x + a.x, y + a.y);
    }

    double operator * (point a) {
        return (a.x * x + a.y * y);
    }

    point operator * (int a) {
        return point(x * a, y * a);
    }
    
    point(point a, point b) : x(b.x - a.x), y(b.y - a.y) {};
};

double len(point a) {
    return sqrt(a.x * a.x + a.y * a.y);
}

double get_ang(point a, point b) {
    return abs(acos((a * b) / len(a) / len(b)));  
}

signed main() {
#ifdef DEBUG
    freopen("../input.txt", "r", stdin);
    freopen("../output.txt", "w", stdout);
#else
    ios_base::sync_with_stdio(0);cin.tie(0);
#endif
    int n;
    cin >> n;
    const double eps = 1e-7;
    const double pi = acos(-1);
    for (int test = 0; test < n; ++test) {
        point a1, a2, b1, b2, v;
        cin >> a1.x >> a1.y >> a2.x >> a2.y >> b1.x >> b1.y >> b2.x >> b2.y;
        cin >> v.x >> v.y;
        v = v * 2e6;
        point na1 = a1 + v;
        point na2 = a2 + v;
        double sum = 0;
        sum += get_ang(point(b1, a1), point(b1, a2));
        sum += get_ang(point(b1, na1), point(b1, na2));
        sum += get_ang(point(b1, a1), point(b1, na1));
        sum += get_ang(point(b1, a2), point(b1, na2));
        if (abs(sum - 2 * pi) <= eps) {
            cout << "Yes\n";
            continue;
        }

        sum = 0;
        sum += get_ang(point(b2, a1), point(b2, a2));
        sum += get_ang(point(b2, na1), point(b2, na2));
        sum += get_ang(point(b2, a1), point(b2, na1));
        sum += get_ang(point(b2, a2), point(b2, na2));
        if (abs(sum - 2 * pi) <= eps) {
            cout << "Yes\n";
            continue;
        }
        cout << "No\n";
    }
    return 0;
}