#include <bits/stdc++.h>
using namespace std;
#define int long long

const double eps = 1e-9;
const double pi = acos(-1);

struct point {
    double x, y;
    point(double x_, double y_) : x(x_), y(y_) {};
    point() : x(0), y(0) {};

    point operator + (point a) {
        return point(x + a.x, y + a.y);
    }

    double operator * (point a) {
        return (a.x * y - a.y * x);
    }

    point operator * (double a) {
        return point(x * a, y * a);
    }

    double len() {
        return sqrt(x * x + y * y);
    }

    void norm() {
        double tmp  = len();
        x /= tmp;
        y /= tmp;
    }

    point(point a, point b) : x(b.x - a.x), y(b.y - a.y) {};
};

bool check_ang(point a, point o, point b, point c) {
    //cerr << (point(o, a) * point(o, c)) << ' ' << (point(o, b) * point(o, c)) << '\n';
    if ((point(o, a) * point(o, c)) * (point(o, b) * point(o, c)) > 0)
        return false;
    return true;
}


signed main() {
    //freopen("../input.txt", "r", stdin);
    //freopen("../output.txt", "w", stdout);
    ios_base::sync_with_stdio(0);cin.tie(0);
    int n;
    cin >> n;
    for (int test = 0; test < n; ++test) {
        point a1, a2, b1, b2, v;
        cin >> a1.x >> a1.y >> a2.x >> a2.y >> b1.x >> b1.y >> b2.x >> b2.y;
        cin >> v.x >> v.y;
        v.norm();
        v = v * 4e6;
        point na1 = v + a1, na2 = v + a2;
        if (check_ang(a1, a2, na2, b1) && check_ang(a2, na2, na1, b1) && check_ang(na2, na1, a1, b1) && check_ang(na1, a1, a2, b1)) {
            cout << "Yes\n";
            continue;
        }

        if (check_ang(a1, a2, na2, b2) && check_ang(a2, na2, na1, b2) && check_ang(na2, na1, a1, b2) && check_ang(na1, a1, a2, b2)) {
            cout << "Yes\n";
            continue;
        }
        cout << "No\n";
    }
    return 0;
}