#include <bits/stdc++.h>
using namespace std;

struct point
{
    long long x, y;

    point operator+(point other)
    {
        return point(other.x + x, other.y + y);
    }
    point operator-(point other)
    {
        return point(x - other.x, y - other.y);
    }

    point(long long x_, long long y_): x(x_), y(y_) {}

    point() {}
};
point operator*(long long k, point a)
{
    return point(k * a.x, k * a.y);
}
struct point_d
{
    long long x, y;

    point_d operator+(point_d other)
    {
        return point_d(other.x + x, other.y + y);
    }
    point_d operator-(point_d other)
    {
        return point_d(x - other.x, y - other.y);
    }

    point_d(long long x_, long long y_): x(x_), y(y_) {}

    point_d() {}
};
point_d operator*(long long k, point_d a)
{
    return point_d(k * a.x, k * a.y);
}


point_d operator-(point a, point_d b)
{
    return point_d(a.x - b.x, a.y - b.y);
}
point_d operator-(point_d a, point b)
{
    return point_d(a.x - b.x, a.y - b.y);
}

struct line
{
    long double a, b, c;

    line(long double a_, long double b_, long double c_): a(a_), b(b_), c(c_) {}

    line() {}
};

line create_line(point p, point q)
{
    long long a = (p - q).y;
    long long b = -(p - q).x;
    long long c = -p.x * a - p.y * b;
    return line(a, b, c);
}

const long double EPS = 1e-15;

bool is_equal(long double a, long double b)
{
    return abs(a - b) < EPS;
}

bool is_equal(long long a, long long b)
{
    return a==b;
}

bool is_parallel(line x, line y)
{
    long long znam = x.a * y.b - x.b * y.a;
    if (is_equal(znam, 0))
        return true;
    return false;
}

point_d peres_lines(line x, line y)
{
    long double znam = x.a * y.b - x.b * y.a;
    if (is_equal(znam, 0))
        exit(228);
    long double p = (-x.c * y.b + x.b * y.c) / znam;
    long double q = (-x.c * y.a + y.c * x.a) / (-znam);
    return point_d(p, q);
}

long long scal(point a, point b)
{
    return a.x * b.x + a.y * b.y;
}

long long vec(point a, point b)
{
    return a.x * b.y - a.y * b.x;
}

long double scal(point_d a, point_d b)
{
    return a.x * b.x + a.y * b.y;
}

long double vec(point_d a, point_d b)
{
    return a.x * b.y - a.y * b.x;
}
long double scal(point a, point_d b)
{
    return a.x * b.x + a.y * b.y;
}

long double vec(point a, point_d b)
{
    return a.x * b.y - a.y * b.x;
}
long double scal(point_d a, point b)
{
    return a.x * b.x + a.y * b.y;
}

long double vec(point_d a, point b)
{
    return a.x * b.y - a.y * b.x;
}

int sign(long long a)
{
    if (is_equal(a, 0))
        return 0;
    else if (a > 0)
        return 1;
    else
        return -1;
}

int sign(int a)
{
    if (a == 0)
        return 0;
    else if (a > 0)
        return 1;
    else
        return -1;
}

int sign(long double a)
{
    if (is_equal(a, 0))
        return 0;
    else if (a > 0)
        return 1;
    else
        return -1;
}

int main()
{
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);
    int q;
    cin >> q;
    for (int qq = 0; qq < q; qq++) {
        point p1, p2;
        point q1, q2;
        point v;
        long long x, y;
        cin >> x >> y;
        p1 = point(x, y);
        cin >> x >> y;
        p2 = point(x, y);
        cin >> x >> y;
        q1 = point(x, y);
        cin >> x >> y;
        q2 = point(x, y);
        cin >> x >> y;
        v = point(x, y);

        int val1 = sign(vec(q1 - p1, v)) + sign(vec(q1 - p2, v));
        if (abs(val1) == 1) {
            val1 = 0;
        }
        int val2 = sign(vec(q2 - p1, v)) + sign(vec(q2 - p2, v));
        if (abs(val2) == 1) {
            val2 = 0;
        }
        if (val1 == 0) {
            if (sign(vec(p2 - p1, v)) == 0) {
                if (sign(scal(p2 + 3254 * v - p1, p2 - p1)) == sign(scal(q1 - p1, p2 - p1))) {
                    cout << "Yes\n";
                }
                else {
                    cout << "No\n";
                }
            }
            else {
                if (sign(vec(p2 + 3254 * v - p1, p2 - p1)) == sign(vec(q1 - p1, p2 - p1))) {
                    cout << "Yes\n";
                }
                else {
                    cout << "No\n";
                }
            }
        }
        else if (val2 == 0) {
            if (sign(vec(p2 - p1, v)) == 0) {
                if (sign(scal(p2 + 3254 * v - p1, p2 - p1)) == sign(scal(q2 - p1, p2 - p1))) {
                    cout << "Yes\n";
                }
                else {
                    cout << "No\n";
                }
            }
            else {
                if (sign(vec(p2 + 3254 * v - p1, p2 - p1)) == sign(vec(q2 - p1, p2 - p1))) {
                    cout << "Yes\n";
                }
                else {
                    cout << "No\n";
                }
            }
        }
        else if (sign(val1) == sign(val2)) {
            cout << "No\n";
        }
        else {

            line l1 = create_line(p1, p1 + v);
            line l3 = create_line(q1, q2);

            if (is_parallel(l1, l3)) {
                cout << "No\n";
            }
            else {
                point_d pp1 = peres_lines(l1, l3);
                if (sign(vec(p2 - p1, v)) == 0) {
                    if (sign(scal(p2 + 3254 * v - p1, p2 - p1)) == sign(scal(pp1 - p1, p2 - p1))) {
                        cout << "Yes\n";
                    }
                    else {
                        cout << "No\n";
                    }
                }
                else {
                    if (sign(vec(p2 + 3254 * v - p1, p2 - p1)) == sign(vec(pp1 - p1, p2 - p1))) {
                        cout << "Yes\n";
                    }
                    else {
                        cout << "No\n";
                    }
                }
            }
        }
    }
    return 0;
}
