#include <bits/stdc++.h>
using namespace std;
#define double long double

struct point
{
    double x, y;

    point operator+(point other)
    {
        return point(other.x + x, other.y + y);
    }
    point operator-(point other)
    {
        return point(x - other.x, y - other.y);
    }

    point(double x_, double y_): x(x_), y(y_) {}

    point() {}
};

struct line
{
    double a, b, c;

    line(double a_, double b_, double c_): a(a_), b(b_), c(c_) {}

    line() {}
};

line create_line(point p, point q)
{
    double a = (p - q).y;
    double b = -(p - q).x;
    double c = -p.x * a - p.y * b;
    return line(a, b, c);
}

const double EPS = 1e-12;

bool is_equal(double a, double b)
{
    return abs(a - b) < EPS;
}

bool is_parallel(line x, line y)
{
    double znam = x.a * y.b - x.b * y.a;
    if (is_equal(znam, 0))
        return true;
    return false;
}

point peres_lines(line x, line y)
{
    double znam = x.a * y.b - x.b * y.a;
    if (is_equal(znam, 0))
        exit(228);
    double p = (-x.c * y.b + x.b * y.c) / znam;
    double q = (-x.c * y.a + y.c * x.a) / (-znam);
    return point(p, q);
}

double scal(point a, point b)
{
    return a.x * b.x + a.y * b.y;
}

double vec(point a, point b)
{
    return a.x * b.y - a.y * b.x;
}

int sign(double a)
{
    if (is_equal(a, 0))
        return 0;
    else if (a > 0)
        return 1;
    else
        return -1;
}

int main()
{
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);
    int q;
    cin >> q;
    for (int qq = 0; qq < q; qq++) {
        point p1, p2;
        point q1, q2;
        point v;
        double x, y;
        cin >> x >> y;
        p1 = point(x, y);
        cin >> x >> y;
        p2 = point(x, y);
        cin >> x >> y;
        q1 = point(x, y);
        cin >> x >> y;
        q2 = point(x, y);
        cin >> x >> y;
        v = point(x, y);

        int val1 = sign(vec(q1 - p1, v)) + sign(vec(q1 - p2, v));
        if (abs(val1) == 1) {
            val1 = 0;
        }
        int val2 = sign(vec(q2 - p1, v)) + sign(vec(q2 - p2, v));
        if (abs(val2) == 1) {
            val2 = 0;
        }
        if (val1 == 0) {
            if (sign(vec(p2 + v - p1, p2 - p1)) == sign(vec(q1 - p1, p2 - p1))) {
                cout << "Yes\n";
            }
            else {
                cout << "No\n";
            }
        }
        else if (val2 == 0) {
            if (sign(vec(p2 + v - p1, p2 - p1)) == sign(vec(q2 - p1, p2 - p1))) {
                cout << "Yes\n";
            }
            else {
                cout << "No\n";
            }
        }
        else if (sign(val1) == sign(val2)) {
            cout << "No\n";
        }
        else {
            line l1 = create_line(p1, p1 + v);
            line l3 = create_line(q1, q2);

            if (is_parallel(l1, l3)) {
                cout << "No\n";
            }
            else {
                point pp1 = peres_lines(l1, l3);
                if (sign(vec(p2 + v - p1, p2 - p1)) == sign(vec(pp1 - p1, p2 - p1))) {
                    cout << "Yes\n";
                }
                else {
                    cout << "No\n";
                }
            }
        }
    }
    return 0;
}
