#include <bits/stdc++.h>

#define all(a) (a).begin(), (a).end()
#define rall(a) (a).rbegin(), (a).rend()

using namespace std;
typedef long long ll;
typedef long double ld;

void boot_up() {
    #ifdef LOCAL
        freopen("input.txt", "r", stdin);
        freopen("output.txt", "w", stdout);
    #endif // LOCAL

    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
}

const ld EPS = (ld)1e-8;

struct Vec {
    ld x, y;

    Vec() : x(0), y(0) {
    }

    Vec(ld _x, ld _y) : x(_x), y(_y) {
    }

    Vec operator + (const Vec & other) {
        return {x + other.x, y + other.y};
    }

    Vec operator - (const Vec & other) {
        return {x - other.x, y - other.y};
    }

    ld operator % (const Vec & other) {
        return x * other.y - y * other.x;
    }

    ld operator ^ (const Vec & other) {
        return x * other.x + y * other.y;
    }

    Vec operator * (const ld & k) {
        return {k * x, k * y};
    }

    ld len() {
        return hypot(x, y);
    }

    void norm() {
        ld len = this->len();

        x /= len;
        y /= len;
    }
};

struct Line {
    ld a, b, c;

    Line(Vec & v1, Vec & v2) {
        a = v2.y - v1.y;
        b = v1.x - v2.x;
        c = -a * v1.x - b * v1.y;
    }

    ld value(Vec & v) {
        return v.x * a + v.y * b + c;
    }
};

bool is_good(Line & l, Vec & v1, Vec & v2) {
    if (abs(l.value(v1)) < EPS) {
        return true;
    }

    if (abs(l.value(v2)) < EPS) {
        return true;
    }

    int sgn1 = (l.value(v1) > 0 ? 1 : -1);
    int sgn2 = (l.value(v2) > 0 ? 1 : -1);

    return sgn1 != sgn2;
}

bool belongs(Vec & v, Vec & a, Vec & b, Vec & c) {
    Vec v1 = a - b;
    Vec v2 = c - b;
    Vec v3 = v - b;

    if (abs(v1 % v3) < EPS && (v1 ^ v3) > EPS) {
        return true;
    }

    if (abs(v2 % v3) < EPS && (v2 ^ v3) > EPS) {
        return true;
    }

    int sgn1 = ((v1 % v3) > EPS ? 1 : -1);
    int sgn2 = ((v3 % v2) > EPS ? 1 : -1);
    int sgn3 = ((v1 % v2) > EPS ? 1 : -1);

    return (sgn1 == sgn2) && (sgn2 == sgn3);
}

const ld INF =(ld)1e8;

int main() {
    boot_up();

    int n;
    cin >> n;

    for (int i = 0; i < n; ++i) {
        Vec a, b, c, d;
        Vec v;

        cin >> a.x >> a.y >> b.x >> b.y >> c.x >> c.y >> d.x >> d.y;
        cin >> v.x >> v.y;

        Vec tmp = v;
        tmp.norm();
        tmp = (tmp * INF);

        Vec e = a + tmp;
        Vec f = b + tmp;

        Line l1(a, e);
        Line l2(b, f);
        Line l3(c, d);

        if ((is_good(l1, c, d) && is_good(l3, a, e)) || (is_good(l2, c, d) && is_good(l3, b, f))) {
            cout << "Yes\n";
        }
        else {
            if (belongs(c, e, a, b) && belongs(c, f, b, a) &&
                belongs(d, e, a, b) && belongs(d, f, b, a)) {
                    cout << "Yes\n";
                }
                else {
                    cout << "No\n";
                }
        }
    }

    return 0;
}
