#include <cstdio>
#include <iostream>

using namespace std;
using li = long long;

struct Point {
	int x, y;

	Point(int x, int y) : x(x), y(y) {};
};

struct Vect {
	int x, y;

	Vect(int x, int y) : x(x), y(y) {};

	Vect(Point p, Point q) : x(q.x - p.x), y(q.y - p.y) {};
};

li scal(Vect v1, Vect v2) {
	return v1.x * 1ll * v2.x + v1.y * 1ll * v2.y;
}

li vect(Vect v1, Vect v2) {
	return v1.x * 1ll * v2.y - v1.y * 1ll * v2.y;
}

/*
2
0 2 1 1 2 2 3 1 1 1
0 2 1 1 2 2 3 1 -1 -1
*/

bool is(Point a, Point c, Point d, Vect v) {
	Vect ac(a, c), ad(a, d);

	bool res = false;
	if (vect(ac, v) <= 0 && vect(ad, v) >= 0) {
		if (scal(ac, v) >= 0 && scal(ad, v) >= 0) {
			 res = true;
		}
		else if (scal(ac, v) <= 0 && scal(ad, v) >= 0) {
			if (vect(ad, ac) >= 0)
				 res = true;
			else
				 res = false;
		}
		else if (scal(ac, v) >= 0 && scal(ad, v) <= 0) {
			if (vect(ac, ad) >= 0)
				 res = true;
			else
				 res = false;
		}
	}

	//cout << res << endl;
	return res;
}

void solve() {
	int x1, y1, x2, y2, x3, y3, x4, y4, vx, vy;
	cin >> x1 >> y1 >> x2 >> y2 >> x3 >> y3 >> x4 >> y4 >> vx >> vy;

	Point a(x1, y1), b(x2, y2), c(x3, y3), d(x4, y4);
	Vect v(vx, vy);

	bool ans = is(a, c, d, v) || is(a, d, c, v) || is(b, c, d, v) || is(b, d, c, v);


	if (ans)
		cout << "Yes" << endl;
	else
		cout << "No" << endl;
}

int main() {
	int n;
	cin >> n;

	while (n--)
		solve();
}
