#include <iostream>
#include <vector>
#include <algorithm>

typedef long long ll;

using namespace std;

class Point
{
    friend istream &operator>>(istream &in, Point &p)
    {
        in >> p.x >> p.y;
        return in;
    }
public:
    ll x, y;
    Point(ll x1 = 0, ll y1 = 0)
    {
        x = x1;
        y = y1;
    }
    Point operator+(Point a)
    {
        return Point(x + a.x, y + a.y);
    }
    Point operator-(Point a)
    {
        return Point(x - a.x, y - a.y);
    }
    ll operator%(Point a)
    {
        return x * a.x + y * a.y;
    }
    ll operator*(Point a)
    {
        return x * a.y - y * a.x;
    }
};

ll sig(ll x)
{
    if (x > 0)
        return 1;
    if (x < 0)
        return -1;
    return 0;
}
bool is(Point o, Point v, Point a, Point b)
{
    if ((o - a) * (o - b) == 0)
    {
        if (v * (o - a) == 0 && v % (a - o) > 0)
            return true;
        return false;
    }
    ll x = (b - o) * v;
    ll y = (b - o) * a;
    ll x1 = (a - o) * v;
    ll y1 = (a - o) * b;
    if (sig(x * y) >= 0 && sig(x1 * y1) >= 0)
    {
        return true;
    }
    return false;
}
/*

1
2 1 4 1 5 1 7 1 1 1
 * */

signed main() {

    ll n;
    cin >> n;
    while (n--)
    {
        Point A, B, C, D, V;
        cin >> A >> B >> C >> D >> V;
        if (is(A, V, C, D) || is(B, V, C, D))
            cout << "Yes";
        else
            cout << "No";
        cout << "\n";
    }
}