#include <iostream>
#include <vector>
#include <algorithm>

typedef long long ll;

using namespace std;

class Point
{
    friend istream &operator>>(istream &in, Point &p)
    {
        in >> p.x >> p.y;
        return in;
    }
public:
    ll x, y;
    Point(ll x1 = 0, ll y1 = 0)
    {
        x = x1;
        y = y1;
    }
    Point operator+(Point a)
    {
        return Point(x + a.x, y + a.y);
    }
    Point operator-(Point a)
    {
        return Point(x - a.x, y - a.y);
    }
    ll operator%(Point a)
    {
        return x * a.x + y * a.y;
    }
    ll operator*(Point a)
    {
        return x * a.y - y * a.x;
    }
};

ll sig(ll x)
{
    if (x > 0)
        return 1;
    if (x < 0)
        return -1;
    return 0;
}
bool is(Point o, Point v, Point a, Point b)
{
    if ((b - o) * v == 0)
    {
        if ((b - o) % v >= 0)
            return true;
        return false;
    }
    if ((a - o) * (b - o) == 0)
    {
        if (v * (a - o) == 0 && v % (a - o) > 0)
            return true;
        return false;
    }

    if ((a - o) * v == 0)
    {
        if ((a - o) % v >= 0)
            return true;
        return false;
    }
    ll x = sig((b - o) * v);
    ll y = sig((b - o) * (a - o));
    ll x1 = sig((a - o) * v);
    ll y1 = sig((a - o) * (b - o));
    if (sig(x * y) >= 0 && sig(x1 * y1) >= 0)
    {
        return true;
    }
    return false;
}
/*

1
2 1 4 1 5 1 7 1 1 1
  || is(C, V1, A, B) || is(D, V1, A, B)

1
2 1 5 1 3 3 4 3 0 -1
 * */

signed main() {

    ll n;
    cin >> n;
    while (n--)
    {
        Point A, B, C, D, V;
        cin >> A >> B >> C >> D >> V;
        Point V1;
        V1.x = -V.x;
        V1.y = -V.y;
        if (is(A, V, C, D) || is(B, V, C, D) || is(C, V1, A, B) || is(D, V1, A, B))
        {
            cout << "Yes";
        }
        else
            cout << "No";
        cout << "\n";
    }
}