class Point:
    def __init__(self, x, y):
        self.x = x
        self.y = y

class Vector:
    def __init__(self, a, b):
        self.x = b.x - a.x
        self.y = b.y - a.y
    def __mul__(self, v):
        return self.x * v.x + self.y * v.y
    def __mod__(self, v):
        return self.x * v.y - self.y * v.x

class Line:
    def __init__(self, p1, p2):
        self.a = p1.y - p2.y
        self.b = p2.x - p1.x
        self.c = -self.a * p1.x - self.b * p1.y
    def __call__(self, p):
        return self.a * p.x + self.b * p.y + self.c
    def contains(self, p):
        return self(p) == 0

class Segment:
    def __init__(self, a, b):
        self.a = a
        self.b = b
    def contains(self, p):
        return Line(self.a, self.b).contains(p) and min(self.a.x, self.b.x) <= p.x and p.x <= max(self.a.x, self.b.x) and min(self.a.y, self.b.y) <= p.y and p.y <= max(self.a.y, self.b.y)

def sign(x):
    return -1 if x < 0 else (1 if x > 0 else 0)

def check_(f, s):
    atb = Vector(f.a, f.b)
    asa = Vector(f.a, s.a)
    asb = Vector(f.a, s.b)
    if atb % asa == 0 or atb % asb == 0:
        return True
    return sign(atb % asa) != sign(atb % asb)

def check(f, s):
    if Vector(f.a, f.b) % Vector(f.a, s.a) == 0 and Vector(f.a, f.b) % Vector(f.a, s.b) == 0:
        return f.contains(s.a) or f.contains(s.b) or s.contains(f.a) or s.contains(f.b)
    return check_(f, s) and check_(s, f)


n = int(input())
for _ in range(n):
    ax1, ay1, ax2, ay2, bx1, by1, bx2, by2, vx, vy = map(int, input().split())
    a1 = Point(ax1, ay1)
    a2 = Point(ax2, ay2)
    b1 = Point(bx1, by1)
    b2 = Point(bx2, by2)
    a = Segment(a1, a2)
    b = Segment(b1, b2)
    a1v = Segment(a1, Point(ax1 + vx * 3000000, ay1 + vy * 3000000))
    b1v = Segment(b1, Point(bx1 - vx * 3000000, by1 - vy * 3000000))
    a2v = Segment(a2, Point(ax2 + vx * 3000000, ay2 + vy * 3000000))
    b2v = Segment(b2, Point(bx2 - vx * 3000000, by2 - vy * 3000000))
    if check(a1v, b) or check(a2v, b) or check(b1v, a) or check(b2v, a):
        print("Yes")
    else:
        print("No")