#include <bits/stdc++.h>

#define int long long
//#define endl '\n'
#define mp make_pair
#define pb emplace_back
#define all(C) (C).begin(), (C).end()
#define rall(C) (C).rbegin(), (C).rend()
#define dbg(x) cerr << #x << " : " << x << endl

using namespace std;

using ll = long long;
using ld = long double;
using pii = pair <int, int>;
using pll = pair <ll, ll>;
using pld = pair <ld, ld>;

template <class T>
istream& operator>> (istream &in, vector <T> &a) {for (auto &i : a) in >> i; return in;}
template <class T>
ostream& operator<< (ostream &out, vector <T> a) {for (auto i : a) out << i << " "; return out;}
template <class T, class U>
istream& operator>> (istream &in, pair <T, U> &a) {in >> a.first >> a.second; return in;}
template <class T, class U>
ostream& operator<< (ostream &out, pair <T, U> a) {out << a.first << " " << a.second; return out;}

const double EPS = 0.000000001;

class Point {
public:
    double x, y;
    bool ex, isinf;
    Point(double x, double y): x(x), y(y), ex(true), isinf(false) {}
    Point(): ex(false), isinf(false) {}
    Point(bool isinf): ex(false), isinf(isinf) {}
    operator bool() {
        return ex;
    }
    bool nonempty() {
        return ex || isinf;
    }
};

class Vector {
public:
    double x, y;
    Vector(double x, double y): x(x), y(y) {}
    Vector(Point a, Point b) {
        x = b.x - a.x;
        y = b.y - a.y;
    }
    double operator* (Vector v) {
        return x * v.x + y * v.y;
    }
    double operator% (Vector v) {
        return x * v.y - y * v.x;
    }
};

Point operator+ (Point p, Vector v) {
    return Point(p.x + v.x, p.y + v.y);
}
Point operator- (Point p, Vector v) {
    return Point(p.x - v.x, p.y - v.y);
}

class Line {
public:
    double a, b, c;
    Line(Point p1, Point p2) {
        a = p1.y - p2.y;
        b = p2.x - p1.x;
        c = -a * p1.x - b * p1.y;
    }
    Line operator- () {
        Line l = *this;
        l.a = -l.a;
        l.b = -l.b;
        l.c = -l.c;
        return l;
    }
    double operator() (Point p) {
        return a * p.x + b * p.y + c;
    }
    Point operator& (Line l) {
        double a1 = a;
        double b1 = b;
        double c1 = c;
        double a2 = l.a;
        double b2 = l.b;
        double c2 = l.c;
        if(abs(b2 * a1 - b1 * a2) < EPS) {
            if(abs(c1 - c2) < EPS) {
                return Point(true);
            } else {
                return Point();
            }
        } else {
            double x = (c1 * b2 - c2 * b1) / (a2 * b1 - a1 * b2);
            double y = (c1 * a2 - c2 * a1) / (b2 * a1 - b1 * a2);
            return Point(x, y);
        }
    }
    bool contains(Point p) {
        return abs((*this)(p)) < EPS;
    }
};

class Ray {
public:
    Point a, b;

    Ray(Point a, Point b): a(a), b(b) {}

    bool contains(Point p) {
        return Line(a, b).contains(p) && Vector(a, b) * Vector(a, p) > -EPS;
    }
};

class Segment {
public:
    Point a, b;

    Segment(Point a, Point b): a(a), b(b) {}

    bool contains(Point p) {
        return Line(a, b).contains(p) && min(a.x, b.x) - EPS < p.x && p.x < max(a.x, b.x) + EPS && min(a.y, b.y) - EPS < p.y && p.y < max(a.y, b.y) + EPS;
    }
};

Point operator& (Ray r, Segment s) {
    Point p = Line(r.a, r.b) & Line(s.a, s.b);
    if(!p) {
        return p;
    }
    if(r.contains(p) && s.contains(p)) {
        return p;
    } else {
        return Point();
    }
}


signed main() {
    int n;
    cin >> n;
    for(int i = 0; i < n; i++) {
        double ax1, ay1, ax2, ay2, bx1, by1, bx2, by2, vx, vy;
        cin >> ax1 >> ay1 >> ax2 >> ay2 >> bx1 >> by1 >> bx2 >> by2 >> vx >> vy;
        Point a1(ax1, ay1);
        Point a2(ax2, ay2);
        Point b1(bx1, by1);
        Point b2(bx2, by2);
        Segment a(a1, a2);
        Segment b(b1, b2);
        Vector v(vx, vy);

        Ray ra1(a1, a1 + v);
        Ray ra2(a2, a2 + v);
        Ray rb1(b1, b1 - v);
        Ray rb2(b2, b2 - v);

        if((ra1 & b).nonempty() || (ra2 & b).nonempty() || (rb1 & a).nonempty() || (rb2 & a).nonempty()) {
            cout << "Yes\n";
        } else {
            cout << "No\n";
        }
    }

    return 0;
}

