#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
using namespace std;
using namespace __gnu_pbds;

#define x first
#define y second
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
#define all(x) begin(x), end(x)
#define SZ(x) ((int) x.size())

struct Point {
    ll x, y;
};

istream& operator>>(istream& in, Point& p) {
    return in >> p.x >> p.y;
}

ostream& operator<<(ostream& out, const Point &p) {
    return out << "{" << p.x << ", " << p.y << "}";
}

Point operator-(const Point& a, const Point& b) {
    return {a.x - b.x, a.y - b.y};
}

int64_t operator%(const Point& a, const Point &b) {
    return a.x * b.y - a.y * b.x;
}

int64_t operator*(const Point& a, const Point& b) {
    return a.x * b.x + a.y * b.y;
}

int64_t sign(int64_t a) {
    if (a < 0)
        return -1;
    if (a > 0)
        return 1;
    return 0;
}

bool checkFor(Point p, Point r, Point c1, Point c2, bool dir) {
    //cout << p << " " << r << " " << c1 << " " << c2 << " " << dir << "\n";
    int needed = dir ? 1 : -1;
    //cout << (sign(r % (c1 - p)) == needed) << " " <<  (sign(r % (c2 - p)) == needed) << "\n";
    return sign(r % (c1 - p)) == needed || sign(r % (c2 - p)) == needed;
}

signed main() {
#ifdef LC
    freopen("input.txt", "r", stdin);
#endif // LC
    ios::sync_with_stdio(0);
    cin.tie(0);
    int queries;
    cin >> queries;
    while (queries--) {
        Point a1, a2, b1, b2, v;
        cin >> a1 >> a2 >> b1 >> b2 >> v;
        Point r = {v.y, -   v.x};
        bool canreach = checkFor(a1, r, b1, b2, 1) || checkFor(a2, r, b1, b2, 1) || checkFor(b1, r, a1, a2, 0) || checkFor(b2, r, a1, a2, 0);
        int64_t aleft = a1 * r, aright = a2 * r, bleft = b1 * r, bright = b2 * r;
        //cout << aleft << " " << aright << " " << bleft << " " << bright << "\n";
        if (aleft > aright)
            swap(aleft, aright);
        if (bleft > bright)
            swap(bleft, bright);
        if (max(bleft, aleft) <= min(bright, aright) && canreach)
            cout << "Yes\n";
        else
            cout << "No\n";
    }
    return 0;
}

/*
{0, 2} {-1, 1} {2, 2} {3, 1} 1
0 0
{1, 1} {-1, 1} {2, 2} {3, 1} 1
0 0
{2, 2} {-1, 1} {0, 2} {1, 1} 0
0 0
{3, 1} {-1, 1} {0, 2} {1, 1} 0
0 0
2 0 0 -2
No
{0, 2} {1, -1} {2, 2} {3, 1} 1
1 1
-2 0 0 2
No
*/
