#include <bits/stdc++.h>

#define ll long long
#define all(a) a.begin(), a.end()

using namespace std;

struct Point {
    ll x = 0, y = 0;

    Point() {}

    Point(const ll& x, const ll& y) : x(x), y(y) {}
};

Point operator-(const Point& a, const Point& b) {
    return {a.x - b.x, a.y - b.y};
}

Point operator-(const Point& a) {
    return {-a.x, -a.y};
}

ll operator*(const Point& a, const Point& b) {
    return a.x * b.x + a.y * b.y;
}

ll operator%(const Point& a, const Point& b) {
    return a.x * b.y - a.y * b.x;
}

bool sgn(const ll& x, const ll& y) {
    return (x > 0 && y > 0) || (x < 0 && y < 0);
}

bool check(Point a1, Point a2, Point b, Point v) {
    if (sgn((b - a1) % v, (b - a2) % v)) {
        return 0;
    }
    if (v % (b - a1) < 0 || v % (b - a2) > 0) {
        swap(a1.x, a2.x);
        swap(a1.y, a2.y);
    }
    //cout << '!' << a1.x << ' ' << a2.x << ' ' << b.x << ' ' << v.x << ' ' << (a2 - a1) % (b - a1) << endl;
    if ((a2 - a1) % (b - a1) == 0) {
        return (b - a1) * v >= 0;
    }
    return (sgn((a2 - a1) % v, (a2 - a1) % (b - a1)));
}

int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);

    int n;
    cin >> n;
    for (int i = 0; i < n; ++i) {
        Point a1, a2, b1, b2, v;
        cin >> a1.x >> a1.y;
        cin >> a2.x >> a2.y;
        cin >> b1.x >> b1.y;
        cin >> b2.x >> b2.y;
        cin >> v.x >> v.y;
        if (check(a1, a2, b1, v) || check(a1, a2, b2, v) || check(b1, b2, a1, -v) || check(b1, b2, a2, -v)) {
            cout << "Yes";
        } else {
            cout << "No";
        }
        if (i != n - 1) {
            cout << '\n';
        }
    }
    return 0;
}
