#include <iostream>

//#pragma GCC target("sse,sse2,sse3,ssse3,sse4,abm,avx,avx2")
//#pragma GCC optimize("Ofast")
//#pragma GCC optimization("O3, unroll-loops")
//#pragma GCC optimization("unroll-loops")

using namespace std;

class Point {
public:
    int x = 0, y = 0;

    Point() = default;

    Point(int x, int y) : x(x), y(y) {}

    bool operator==(const Point &rhs) const {
        return x == rhs.x &&
               y == rhs.y;
    }

    bool operator!=(const Point &rhs) const {
        return !(rhs == *this);
    }

    friend std::ostream &operator<<(std::ostream &os, const Point &point) {
        os << point.x << ' ' << point.y;
        return os;
    }

    friend std::istream &operator>>(std::istream &is, Point &point) {
        is >> point.x >> point.y;
        return is;
    }

    int operator*(Point point) {
        return x * point.y - point.x * y;
    }

    int operator%(Point point) {
        return x * point.x + y * point.y;
    }

    Point operator+(Point point) {
        return Point(x + point.x, y + point.y);
    }

    Point operator-(Point point) {
        return Point(x - point.x, y - point.y);
    }

    Point rotate() const {
        return Point(-y, x);
    }

};

int main() {
    using io = ios_base;

    io::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    int n;
    cin >> n;

    for (int qu = 0; qu < n; qu++) {
        Point a, b, c, d, v;
        cin >> a >> b >> c >> d >> v;
        if (a.y < b.y) std::swap(a, b);
        if (c.y < d.y) std::swap(c, d);
        Point
                ac = c - a,
                ad = d - a,
                bc = c - b,
                bd = d - b;
        int
                flag1 = bc * v,
                flag2 = ac * v,
                flag3 = bd * v,
                flag4 = ad * v,
                flag5 = ac % v,
                flag6 = bc % v,
                flag7 = ad % v,
                flag8 = bd % v;
        if ((flag1 > 0 && flag2 > 0 && flag3 > 0 && flag4 > 0) || (flag1 < 0 && flag2 < 0 && flag3 < 0 && flag4 < 0) ||
            !(flag5 >= 0 || flag6 >= 0) || !(flag7 >= 0 || flag8 >= 0)) {
            cout << "No\n";
        } else {
            cout << "Yes\n";
        }


    }

    return 0;
}