#include <iostream>

#pragma GCC target("sse,sse2,sse3,ssse3,sse4,abm,avx,avx2")
#pragma GCC optimize("Ofast")
#pragma GCC optimization("O3, unroll-loops")
#pragma GCC optimization("unroll-loops")
using namespace std;

class Point {
public:
    double x = 0, y = 0;

    Point() = default;

    Point(double x, double y) : x(x), y(y) {}

    bool operator==(const Point &rhs) const {
        return x == rhs.x &&
               y == rhs.y;
    }

    bool operator!=(const Point &rhs) const {
        return !(rhs == *this);
    }

    friend std::ostream &operator<<(std::ostream &os, const Point &point) {
        os << point.x << ' ' << point.y;
        return os;
    }

    friend std::istream &operator>>(std::istream &is, Point &point) {
        is >> point.x >> point.y;
        return is;
    }

    double operator*(Point point) {
        return x * point.y - point.x * y;
    }

    double operator%(Point point) {
        return x * point.x + y * point.y;
    }

    Point operator+(Point point) {
        return Point(x + point.x, y + point.y);
    }

    Point operator-(Point point) {
        return Point(x - point.x, y - point.y);
    }

};


int main() {
    using io = ios_base;
    io::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    int n;
    cin >> n;

    for (int q = 0; q < n; q++) {
        Point a1, a2, b1, b2, v;
        cin >> a1 >> a2 >> b1 >> b2 >> v;
        a1 = a1 + v;
        a2 = a2 + v;
        bool
                flag1 = (a2 - a1) * (b1 - a1) >= 0 && (a2 - a1) * (b2 - a1) <= 0,
                flag2 = (a2 - a1) * (b1 - a1) <= 0 && (a2 - a1) * (b2 - a1) >= 0,
                flag3 = (b2 - b1) * (a2 - b1) >= 0 && (b2 - b1) * (a1 - b1) <= 0,
                flag4 = (b2 - b1) * (a2 - b1) >= 0 && (b2 - b1) * (a1 - b1) <= 0,
                flag5 = max(min(a1.x, a2.x), min(b1.x, b2.x)) <= min(max(a1.x, a2.x), max(b1.x, b2.x)),
                flag6 = max(min(a1.y, a2.y), min(b1.y, b2.y)) <= min(max(a1.y, a2.y), max(b1.y, b2.y));
        if ((flag1 || flag2) && (flag3 || flag4) && flag5 && flag6) {
            cout << "Yes\n";
        } else {
            cout << "No\n";
        }
    }

    return 0;
}
/*
 * 2
0 0 0 0 1 1 1 1 1 1
0 0 0 0 1 1 1 1 2  2
 */