#include<bits/stdc++.h>

using namespace std;

typedef long double ld;

#define x first
#define y second
const ld eps = 1e-9;

struct Vector {
    ld x, y;
    Vector() {};
    Vector(ld x2, ld y2) {
        x = x2;
        y = y2;
    }
    Vector(Vector a, Vector b) {
        x = b.x - a.x;
        y = b.y - a.y;
    }
    Vector operator + (Vector oth) {
        return Vector(x + oth.x, y + oth.y);
    }
    ld operator * (Vector oth) {
        return x * oth.y - y * oth.x;
    }
    ld operator / (Vector oth) {
        return x * oth.x + y * oth.y;
    }
};

ld dist(Vector a, Vector b) {
    ld x = b.x - a.x;
    ld y = b.y - a.y;
    return sqrtl(x * x + y * y);
}

bool her(Vector a, Vector b, Vector c) {
    return abs(dist(a, b) - dist(a, c) - dist(c, b)) <= eps;
}

void getabc (Vector a, Vector b, ld& A, ld& B, ld& C) {
    ld x1 = a.x;
    ld y1 = a.y;
    ld x2 = b.x;
    ld y2 = b.y;
    A = y1 - y2;
    B = x2 - x1;
    C = x1 * y2 - x2 * y1;
}


Vector in(ld a1, ld b1, ld c1, ld a2, ld b2, ld c2) {
    ld x = (c2 * b1 - c1 * b2) / (a1 * b2 - a2 * b1);
    ld y = (a2 * c1 - a1 * c2) / (a1 * b2 - a2 * b1);
    return Vector(x, y);
}


bool check(pair<Vector, Vector> a, pair<Vector, Vector> b, Vector v) {
    if (Vector(a.x, b.x) / v >= 0 && Vector(a.x, b.x) * v == 0)
        return 1;
    if (Vector(a.y, b.x) / v >= 0 && Vector(a.y, b.x) * v == 0)
        return 1;
    if (Vector(a.y, b.y) / v >= 0 && Vector(a.y, b.y) * v == 0)
        return 1;
    if (Vector(a.x, b.y) / v >= 0 && Vector(a.x, b.y) * v == 0)
        return 1;
    ld a1, b1, c1;
    ld a3, b3, c3;
    ld a4, b4, c4;
    ld a5, b5, c5;
    ld a2, b2, c2;
    getabc(b.x, b.y, a2, b2, c2);
    getabc(a.x, a.y, a1, b1, c1);
    getabc(a.x, a.x + v, a3, b3, c3);
    getabc(a.y, a.y + v, a4, b4, c4);
    if (v * Vector(b.x, b.y) == 0) {
        if (Vector(b.x, b.y) * Vector(a.x, a.y) == 0)
            return 0;
        auto p = in(a1, b1, c1, a2, b2, c2);
        return Vector(p, b.x) / v > 0 && her(a.x, a.y, p);
    }
    auto p1 = in(a3, b3, c3, a2, b2, c2);
    auto p2 = in(a4, b4, c4, a2, b2, c2);
    if (Vector(a.x, p1) / v < 0)
        return 0;
    bool f = 0;
    f = f | (her(b.x, b.y, p1));
    f = f | (her(b.x, b.y, p2));
    f = f | (her(p1, p2, b.x));
    f = f | (her(p1, p2, b.y));
    return f;
}


main() {
#ifdef LOCAL
    freopen("input.txt", "r", stdin);
#endif // LOCAL
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    int n;
    cin >> n;
    for (int i = 0; i < n; i++) {
        pair<Vector, Vector> a;
        pair<Vector, Vector> b;
        Vector v;
        cin >> a.x.x >> a.x.y >> a.y.x >> a.y.y;
        cin >> b.x.x >> b.x.y >> b.y.x >> b.y.y;
        cin >> v.x >> v.y;
        if (check(a, b, v)) {
            cout << "Yes" << endl;
        }
        else {
            cout << "No" << endl;
        }
    }
    return 0;
}

