#define _CRT_SECURE_NO_WARNINGS

#include <iostream>
#include <algorithm>
#include <string>
#include <math.h>

using namespace std;

typedef long long ll;

const int INF = 10;

struct Pnt {
	int x, y;
	Pnt() {}
	Pnt(int x_, int y_) {
		x = x_;
		y = y_;
	}
	void in() {
		cin >> x >> y;
	}
};

struct Vect {
	Pnt st;
	int x, y;
	Vect() {}
	Vect(Pnt a, Pnt b) {
		x = b.x - a.x;
		y = b.y - a.y;
		st = a;
	}
	ll operator*(Vect a) {
		return ll(a.x) * x + ll(a.y) * y;
	}
	ll operator^(Vect q) {
		return ll(x) * q.y - ll(q.x) * y;
	}
};

bool ons(Vect a, Pnt b) {
	if (a.st.x == b.x && a.st.y == b.y) return true;
	if (a.st.x + a.x == b.x && a.st.y + a.y == b.y) return true;
	Pnt fn = Pnt(a.st.x + a.x, a.st.y + a.y);
	bool q1, q2;
	if (Vect(a.st, b) * a >= 0) q1 = false;
	else q1 = true;
	if (Vect(fn, b) * a >= 0) q2 = false;
	else q2 = true;
	return (q1 ^ q2);
}

bool inter(pair<Pnt, Pnt> a, pair<Pnt, Pnt> b) {
	if ((Vect(a.first, a.second) ^ Vect(b.first, b.second)) == 0 &&
		(Vect(a.first, a.second) ^ Vect(a.first, b.second)) == 0) {
		Vect fa = Vect(a.first, a.second);
		Vect fb = Vect(b.first, b.second);
		if (ons(fa, b.first) || ons(fa, b.second) ||
			ons(fb, a.first) || ons(fb, a.second)) return true;
		return false;
	}
	bool fl = true;
	int cnt0 = 0;
	bool a1 = false, a2 = false;
zan:;
	a1 = a2 = false;
	ll res = (Vect(a.first, a.second) ^ Vect(a.first, b.first));
	if (res >= 0) a1 = 1;
	if (res <= 0) a2 = 1;
	res = (Vect(a.first, a.second) ^ Vect(a.first, b.second));
	if (res >= 0) a1 = 1;
	if (res <= 0) a2 = 1;
	fl = (fl & a1 & a2);
	cnt0++;
	if (cnt0 == 1) { swap(a, b); goto zan; }
	return fl;
}

bool solve(pair<Pnt, Pnt> s1, pair<Pnt, Pnt> s2, int dx, int dy) {
	pair<Pnt, Pnt> a, b;
	a.first = s1.first;
	b.first = s1.second;
	int mx = max(abs(dx), abs(dy));
	int kf = 0;
	kf = (INF / mx) * mx;
	a.second = Pnt(s1.first.x + kf * dx, s1.first.y + kf * dy);
	b.second = Pnt(s1.second.x + kf * dx, s1.second.y + kf * dy);
	if (inter(a, s2) || inter(b, s2)) {
		return true;
	}
	return false;
}

int main() {
#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#else
	ios_base::sync_with_stdio(false);
	cin.tie(0);
#endif
	int n;
	cin >> n;
	while (n--) {
		pair<Pnt, Pnt> s1, s2;
		s1.first.in();
		s1.second.in();
		s2.first.in();
		s2.second.in();
		int dx, dy;
		cin >> dx >> dy;
		bool ans = solve(s1, s2, dx, dy) | solve(s2, s1, -dx, -dy);
		if (ans) cout << "Yes" << endl;
		else cout << "No" << endl;
	}
}