#define _CRT_SECURE_NO_WARNINGS

#include <iostream>
#include <algorithm>
#include <string>
#include <math.h>
#include <vector> 

using namespace std;

typedef long long ll;
typedef long long LL;

const LL INF = (int)1e9;

struct Vec {
	LL x, y;
	Vec() {};
	Vec(LL x, LL y) :
		x(x), y(y) {};
	void in() {
		cin >> x >> y;
	}
};

Vec operator + (const Vec& a, const Vec& b) {
	return Vec(a.x + b.x, a.y + b.y);
}

Vec operator - (const Vec& a, const Vec& b) {
	return Vec(a.x - b.x, a.y - b.y);
}

LL vec(const Vec& a, const Vec& b) {
	return a.x * b.y - b.x * a.y;
}

LL scal(const Vec& a, const Vec& b) {
	return a.x * b.x + a.y * b.y;
}

int sgn(LL x) {
	if (x == 0)
		return 0;
	return (x > 0 ? 1 : -1);
}

bool on(Vec a, Vec b, Vec c) {
	bool res = sgn(scal(a - c, b - c)) <= 0 && vec(a - c, b - c) == 0;
	return res;
}

bool inter(Vec a, Vec b, Vec c, Vec d) {
	if (on(a, b, c) || on(a, b, d) || on(c, d, a) || on(c, d, b))
		return true;
	bool f1 = sgn(vec(b - a, c - a)) * sgn(vec(b - a, d - a)) <= 0;
	bool f2 = sgn(vec(d - c, a - c)) * sgn(vec(d - c, b - c)) <= 0;
	return f1 && f2;
}

bool check(Vec a, Vec b, Vec c, Vec d, Vec v) {
	LL sh = max(abs(v.x), abs(v.y));
	LL k = INF / sh;
	Vec na = Vec(a.x + k * v.x, a.y + k * v.y);
	Vec nb = Vec(b.x + k * v.x, b.y + k * v.y);
	bool f1 = inter(a, na, c, d);
	bool f2 = inter(b, nb, c, d);
	return f1 || f2;
}

int main() {
#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#else
	ios_base::sync_with_stdio(false);
	cin.tie(0);
#endif
	int n; cin >> n;
	for (int i = 0; i < n; i++) {
		Vec a, b, c, d, v;
		a.in(), b.in(), c.in(), d.in(), v.in();
		bool f1 = check(a, b, c, d, v);
		v = Vec(-v.x, -v.y);
		bool f2 = check(c, d, a, b, v);
		cout << (f1 || f2 ? "Yes\n" : "No\n");
	}
}