#define _CRT_SECURE_NO_WARNINGS
#include <iostream>
#include <algorithm>
#include <string>
#include <string.h>
#include <math.h>
#include <vector>
#include <set>
#include <map>
#include <iomanip>

using namespace std;

typedef long long ll;
typedef long double db;
typedef pair <int, int> pii;

const int N = (int)1e5;

struct dot {
	ll x, y;

	dot(ll x = 0, ll y = 0) : x(x), y(y) {}

	dot(dot a, dot b) : x(b.x - a.x), y(b.y - a.y) {}
};

dot operator + (dot a, dot b) {
	return dot(a.x + b.x, a.y + b.y);
}

struct seg {
	dot f, s;

	seg(dot f = dot(), dot s = dot()) : f(f), s(s) {}
};

struct line {
	ll a, b, c;

	line(ll a = 0, ll b = 0, ll c = 0) : a(a), b(b), c(c) {}

	line(dot d, dot v) {
		a = v.y;
		b = -v.x;
		c = -a * d.x - b * d.y;
	}
};

int sign(dot d, line l) {
	ll val = l.a * d.x + l.b * d.y + l.c;
	if (val < 0) {
		val = -1;
	} else if (val > 0) {
		val = 1;
	}
	return val;
}

ll scal(dot a, dot b) {
	return a.x * b.x + a.y * b.y;
}

int n;
seg a, b;
dot v;

bool ded_inside(line l1, line l2, dot d) {
	int s1 = sign(d, l1);
	int s2 = sign(d, l2);
	return (s1 == 0 || s2 == 0 || s1 != s2);
}

bool solve() {
	line l1(a.f, v);
	line l2(a.s, v);
	int sl1_1 = sign(b.f, l1);
	int sl1_2 = sign(b.s, l1);
	int sl2_1 = sign(b.f, l2);
	int sl2_2 = sign(b.s, l2);
	if (sl1_1 == sl1_2 && sl2_1 == sl2_2 && sl1_1 == sl2_1 && sl1_1 != 0) {
		return false;
	}
	dot v1 = v + a.f;
	line lh(a.f, dot(a.f, a.s));
	int s_v1 = sign(v1, lh);
	if (s_v1 != 0) {
		int s_up1 = sign(b.f, lh);
		int s_up2 = sign(b.s, lh);
		if ((s_up1 == s_v1 || s_up1 == 0) &&
			(s_up2 == s_v1 || s_up2 == 0)) {
			return true;
		}
		if ((s_up1 != s_v1 || s_up1 == 0) &&
			(s_up2 != s_v1 || s_up2 == 0)) {
			return false;
		}
		if (s_up2 == s_v1) {
			swap(b.f, b.s);
		}
		if (ded_inside(l1, l2, b.f)) {
			return true;
		}
		return false;
	} else {
		if (scal(dot(a.f, a.s), v) < 0) {
			swap(a.f, a.s);
		}
		if (sign(b.f, lh) == 0) {
			if (scal(v, dot(a.f, b.f)) > 0) {
				return true;
			}
			return false;
		}
		if (sign(b.s, lh) == 0) {
			if (scal(v, dot(a.f, b.s)) > 0) {
				return true;
			}
			return false;
		}
		line lh2(b.f, dot(b.f, b.s));
		int s_start = sign(a.f, lh2);
		ll k = 1e7 / (abs(v.x) + abs(v.y)) + 666;
		dot a_end = a.f + dot(v.x * (ll)k, v.y * (ll)k);
		int s_end = sign(a_end, lh2);
		if (s_end != s_start || s_end == 0) {
			return true;
		} else {
			return false;
		}
	}
	return false;
}

signed main() {
#ifdef _DEBUG
	freopen("input.txt", "r", stdin); freopen("output.txt", "w", stdout);
#endif
	ios_base::sync_with_stdio(0);
	cin >> n;
	for (int i = 0; i < n; ++i) {
		cin >> a.f.x >> a.f.y >> a.s.x >> a.s.y >> b.f.x >> b.f.y >> b.s.x >> b.s.y >> v.x >> v.y;
		if (solve()) {
			cout << "Yes\n";
		} else {
			cout << "No\n";
		}
	}
	return 0;
}