#include <bits/stdc++.h>
//#define int long long
using namespace std;

typedef long long ll;

struct point {
    ll x, y;

    point() : x(0), y(0) {};
    point(point a, point b) : x(b.x - a.x), y(b.y - a.y) {};

    ll operator ^(const point &other) const {
        return (x * other.y - y * other.x);
    }

    ll operator *(const point &other) const {
        return (x * other.x + y * other.y);
    }
};

int sign(ll x) {
    return (x < 0 ? -1 : x > 0 ? 1 : 0);
}

bool check(point a, point b, point v) {
    int s1 = sign(a ^ v);
    int s2 = sign(b ^ v);
    bool f1 = (s1 == 0 || s2 == 0 || s1 != s2);
    int s3 = sign(a * v);
    int s4 = sign(b * v);
    bool f2 = (s3 >= 0 && s4 >= 0);
    return (f1 && f2);
}

signed main() {
    ios_base::sync_with_stdio(0), cin.tie(0), cout.tie(0);
    int n;
    cin >> n;
    while (n > 0) {
        n--;
        point a, b, c, d, v;
        cin >> a.x >> a.y >> b.x >> b.y >> c.x >> c.y >> d.x >> d.y >> v.x >> v.y;
        if (check(point(a, c), point(a, d), v)) {
            cout << "Yes\n";
            continue;
        }
        if (check(point(b, c), point(b, d), v)) {
            cout << "Yes\n";
            continue;
        }
        v.x *= -1;
        v.y *= -1;
        if (check(point(c, a), point(c, b), v)) {
            cout << "Yes\n";
            continue;
        }
        if (check(point(d, a), point(d, b), v)) {
            cout << "Yes\n";
            continue;
        }
        cout << "No\n";
    }
    return 0;
}