#include <bits/stdc++.h>

#define ll long long

using namespace std;

struct Point{
    ll x, y;
};

ll ccw(Point A, Point B, Point C) {
    B.x -= A.x;
    C.x -= A.x;
    C.y -= A.y;
    B.y -= A.y;
    return (1LL * B.x * C.y - 1LL * C.x * B.y);
}
int sgn(ll x) {
    if (x > 0) return 1;
    if (x == 0) return 0;
    if (x < 0) return -1;
}

Point juventus(int a, int b) {
    return Point{min(a, b), max(a, b)};
}

int napoli(Point a, Point b) {
    if (a.x >= b.x && a.y <= b.y) return 1;
    if (a.x <= b.x && a.y >= b.y) return 1;
    if (b.x <= a.x && a.x <= b.y) return 1;
    if (b.x <= a.y && a.y <= b.y) return 1;
    return 0;
}

int milan(Point a, Point b, Point x, Point y) {
    Point ax = juventus(a.x, b.x);
    Point ay = juventus(a.y, b.y);
    Point bx = juventus(x.x, y.x);
    Point by = juventus(x.y, y.y);
    return napoli(ax, bx) && napoli(ay, by);
}

int inter(Point a, Point b, Point x, Point y) {
    int s1 = sgn(ccw(x, y, a)), s2 = sgn(ccw(x, y, b));
    if (s1 == 0 || s2 == 0) return milan(a, b, x, y);
    if (s1 != s2) return milan(a, b, x, y);
    return 0;
}

ll area(Point a, Point b, Point c) {
    return a.x * b.y + b.x * c.y + c.x * a.y -
           a.y * b.x - b.y * c.x - c.y * a.x;
}

ll areap(Point a, Point b, Point c, Point d) {
    return a.x * b.y + b.x * c.y + c.x * d.y + d.x * a.y -
           a.y * b.x - b.y * c.x - c.y * d.x - d.y * a.x;
}

int checc(Point a, Point b, Point c, Point d, Point yetim) {
    ll sum = area(a, yetim, b) + area(b, c, yetim) + area(c, yetim, d) + area(d, a, yetim);
    if (sum == areap(a, b, c, d)) {
        return 1;
    }
    return 0;
}

string ans(int x) {
    if (x == 1) return "Yes";
    return "No";
}

int main() {
    ios_base :: sync_with_stdio(0);
    cin.tie(0), cout.tie(0);
    int T;
    cin >> T;
    while(T--) {
        Point a, b, x, y, v;
        cin >> a.x >> a.y >> b.x >> b.y >> x.x >> x.y >> y.x >> y.y >> v.x >> v.y;
        Point pa, pb; ll k;
        if (v.x == 0 && v.y == 0) {
            cout << ans(inter(a, b, x, y)) << endl;
            continue;
        }
        if (v.x == 0) {
            k = abs((3000001 - a.y) / v.y) + 1;
        } else if (v.y == 0) k = abs((3000001 - a.x) / v.x) + 1; else
        k = min(abs((3000001 - a.x) / v.x) + 1, abs((3000001 - a.y) / v.y) + 1);
        pa = Point{a.x + k * v.x, a.y + k * v.y};
        pb = Point{b.x + k * v.x, b.y + k * v.y};
        if (inter(x, y, pa, pb) || inter(x, y, a, b) || inter(x, y, pa, a) || inter(x, y, pb, b)) {
            cout << ans(1) << endl;
            continue;
        }
        //cout << pa.x << " " << pa.y << " " << pb.x << " " << pb.y << endl;
        cout << ans(checc(a, b, pa, pb, x) || checc(a, b, pa, pb, y)) << endl;
    }
    return 0;
}
